

if (typeof(tibcoforms) == 'undefined') tibcoforms = new Object();
if (typeof(tibcoforms.formCode) == 'undefined') tibcoforms.formCode = new Object();
tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w'] = new Object();
tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w']['defineActions'] = function() {
var fc = tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w'];
    fc['rule_cancel'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "cancel", "cancel", fc['action_cancel']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(cancel) Error: " + e);
           throw e;
       }
    }

    fc['rule_failed_try_again'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "failed_try_again", "failed_try_again", fc['action_failed_try_again']);
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "failed_try_again", "close", fc['action_close']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(failed_try_again) Error: " + e);
           throw e;
       }
    }

            fc['action_failed_try_again'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                // context.form.setParameterValue("WitStatus", "TRY_AGAIN");
data.WitStatus = "TRY_AGAIN";

            }
    fc['rule_failed_dont_try_again'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "failed_dont_try_again", "action1", fc['action_action1']);
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "failed_dont_try_again", "submit", fc['action_submit']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(failed_dont_try_again) Error: " + e);
           throw e;
       }
    }

            fc['action_action1'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                // context.form.setParameterValue("WitStatus", "FAILED");
data.WitStatus = "FAILED";

            }
    fc['rule_success'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "success", "action2", fc['action_action2']);
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "success", "submit", fc['action_submit']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(success) Error: " + e);
           throw e;
       }
    }

            fc['action_action2'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                // context.form.setParameterValue("WitStatus", "SUCCESS");
data.WitStatus = "SUCCESS";

            }
    fc['rule_update_witness_call_link'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_links_pane", fc['action_update_witness_call_links_pane'], false, 'pane.witness_call_links_page');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_link_text", fc['action_update_witness_call_link_text'], true, 'control.witness_call_link');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_link_url", fc['action_update_witness_call_link_url'], true, 'control.witness_call_link');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(update_witness_call_link) Error: " + e);
           throw e;
       }
    }

        fc['action_update_witness_call_links_pane'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'pane.witness_call_links_page';
                    var destType = 'pane';
                    var destFeatures = new Array('visible');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, false, destName, context.cloneUID, 'visible');                                                                        var tempScr = 'var phone = context.newValue; \
  \nvar isNotNull = (phone != null && phone != \"\"); \
  \nvar isValid = context.form.getControl(\'WitPhone\').validate(false); \
  \nvar visible = isNotNull && isValid; \
  \nlogger.info(\'update_witness_call_links_pane: visibility is set to:\' + visible); \
  \nvisible;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_witness_call_link_text'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.witness_call_link';
                    var destType = 'control';
                    var destFeatures = new Array('linkText');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'linkText');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link: phone number received:\' + phone); \
  \nvar text = \'\'; \
  \nif(phone != null){  \
  \n  text = \'Skype: \' + phone ; \
  \n} \
  \nlogger.info(\'update_call_link_text: Returning skype link text=\' + text); \
  \ntext;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_witness_call_link_url'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.witness_call_link';
                    var destType = 'control';
                    var destFeatures = new Array('link');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'link');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link_url: phone number received:\' + phone); \
  \nvar url = \'\'; \
  \nif(phone != null){  \
  \n  url = \'skype:+1\' + phone; \
  \n} \
  \nlogger.info(\'update_call_link_url: Returning skype link url=\' + url); \
  \nurl;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_format_phone'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "format_phone", "format_phone_number", fc['action_format_phone_number']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(format_phone) Error: " + e);
           throw e;
       }
    }

    fc['action_format_phone_number'] = function(context, data, pane, control, factory, pkg, f , p) {
        if (context.form && context.form._marked4Cancel)
            return;
        var resource = context.form.resource;
        var logger = tibcoforms.bridge.log_logger();
        var phone = context.control.value;
var strippedPhone = '';
for(var i=0; i<phone.length; i++){
  var c = phone.charAt(i);
  var isNonDigitChar = isNaN(parseInt(c));
  
  if(!isNonDigitChar){ // check if c is a digit
    strippedPhone += c;
  }
}


if(strippedPhone.length == 10){
  var formattedPhone = '(' + strippedPhone.substr(0,3) + ') ' + strippedPhone.substr(3,3) + '-' + strippedPhone.substr(6);
  context.control.value = formattedPhone;
}
    }
    fc['action_cancel'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('cancel');
    }

    fc['action_apply'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('apply');
    }
    
    fc['action_close'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('close');
    }

    fc['action_submit'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('submit');
    }
    
    fc['action_validate'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('validate');
    }
    
    fc['action_reset'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('reset');
    }
    
    fc['generator_info'] = function() {
        return "TIBCO Forms for ACE Runtime 11.0.0.045";
    }
};
tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w']['defineActions']();

tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w']['defineValidations'] = function() {
var fc = tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w'];
    
    
    
fc['validation_WitName_WitName__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "WitName__length", true, true);
}
    
    
    
    
fc['validation_AccTime_AccTime__datetime'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkDateTimeFormat(context.stringValue) ?  true : [context.control.label ? context.control.label : context.control.name] : true;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "AccTime__datetime", true, true);
}
    
    
    
    
    
    
    
    
    
    
    
fc['validation_witstatus_witstatus__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "witstatus__length", true, true);
}
    
fc['validation_WitPhone_phone_syntax'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = '//Retrieve the phone value \
  \nvar phone = context.control.value; \
  \nif(phone != null && phone != \"\"){ \
  \n //verify it is in the format 888-888-8888 \
  \n	var strippedPhone = \'\'; \
  \n	for(var i=0; i<phone.length; i++){ \
  \n  		var c = phone.charAt(i); \
  \n  		var isNonDigitChar = isNaN(parseInt(c)); \
  \n  		if(! isNonDigitChar){ // check if c is a digit \
  \n    		strippedPhone += c; \
  \n  		} \
  \n	}	 \
  \n	strippedPhone.length == 10; \
  \n} else{ \
  \n    true; \
  \n}';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "phone_syntax", false, true);
}
fc['validation_WitPhone_WitPhone__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 14) ? true : [context.control.label ? context.control.label : context.control.name, \'14\'] : context.value.length <= 14;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "WitPhone__length", true, true);
}
    fc['validate_required'] = function(formId, controlName, cloneUID, listIndex) {
        return bpm.forms.Util.handleRequiredValidation.call(this, formId, controlName, cloneUID, listIndex);
    }
    fc['register_pkgs_and_fcts'] = function(formId) {
       var form = tibcoforms.formCache[formId];
       form.registerPackages([]);
       form.registerFactories([]);
    }
    fc['DataModel'] = function(formId) {
        if (this.form) return;
        this.form = tibcoforms.formCache[formId];
        Object.defineProperty(this, 'WitName', {
            get: function() {
                return this.form.dataMap['WitName'].value;
            },
            set: function(value) {
                this.form.dataMap['WitName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitPhone', {
            get: function() {
                return this.form.dataMap['WitPhone'].value;
            },
            set: function(value) {
                this.form.dataMap['WitPhone'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'AccTime', {
            get: function() {
                return this.form.dataMap['AccTime'].value;
            },
            set: function(value) {
                this.form.dataMap['AccTime'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'AccDescription', {
            get: function() {
                return this.form.dataMap['AccDescription'].value;
            },
            set: function(value) {
                this.form.dataMap['AccDescription'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitDescription', {
            get: function() {
                return this.form.dataMap['WitDescription'].value;
            },
            set: function(value) {
                this.form.dataMap['WitDescription'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitStatus', {
            get: function() {
                return this.form.dataMap['WitStatus'].value;
            },
            set: function(value) {
                this.form.dataMap['WitStatus'].value = value;
            },
            enumerable: true
        });
    }
       
       
            
       
       
       
};
tibcoforms.formCode['_uYO8YI-sEe-f-f3CGZwa_w']['defineValidations']();
