# bpme common audit

[component-header:bpme-common-audit]

A component for displaying list of audit entiers for selected managed object type. `bpme-common-audit`.

```html preview
<bpme-common-audit id="common-audit"></bpme-common-audit>
<script>
    const commonAuditComp = document.getElementById('common-audit');
    const configData = [
        {
            "name": "show-filter",
            "label": {
                "default": "Show filter",
                "localeKey": "bpme.commonAudit.showFilterLabel"
            },
            "description": {
                "default": "Show option to show filter of the audit.",
                "localeKey": "bpme.commonAudit.showFilterDescription"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-table",
            "label": {
                "default": "Show table",
                "localeKey": "bpme.commonAudit.showTableLabel"
            },
            "description": {
                "default": "Show option to show table of the audit.",
                "localeKey": "bpme.commonAudit.showTableDescription"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ]
    commonAuditComp.auditSelectedId = 'WORK_ITEM';
    commonAuditComp.config = configData;
</script>
```
[component-metadata:bpme-common-audit]
