# bpme-system-actions

[component-header:bpme-system-actions]

A top level component can be a child of bpme-system-actions components with which all the system actions for the logged in user can be available to all the components.  


```html
<bpme-system-actions>
  <top-level-component></top-level-component>
</bpme-system-actions>

<script>
  /** Get the instance of bpme-system-actions component */
  const systemActionsContext = document.querySelector('bpme-system-actions');
  /**System action 'viewWorkList' for logged in user can accessed as*/
  systemActionsContext.systemActions.getUserSystemAction('viewWorkList');
</script>
```

[component-metadata:bpme-system-actions]

