# bpme-work-item-form

[component-header:bpme-work-item-form]

A component for displaying `bpme-work-item-form`.


```html preview
<bpme-work-item-form id="workitemform"></bpme-work-item-form>


<script>
const workItemData  = {
    "id": "599",
    "version": "4",
    "header": {
        "distributionStrategy": {
            "stringKey": "WMdsOffer",
            "description": "Offer"
        },
        "priority": 50,
        "startDate": "2024-09-25T05:05:01.958Z",
        "name": "Capturename",
        "description": "Capture name",
        "flags": {
            "scheduleStatus": {
                "stringKey": "WMschedStatusDuring",
                "description": "During"
            }
        },
        "itemContext": {
            "activityId": "t:002gch.2p6",
            "activityName": "Capturename",
            "appInstance": "p:0a20ch",
            "appName": "PropertiesProcess",
            "appId": "_0VDFcHl5Ee-xe6UNzYMZkA"
        }
    },
    "state": {
        "stringKey": "WMstateOffered",
        "description": "Offered"
    },
    "attributes": {},
    "visible": true,
    "headerInitialsName": "C"
}
const workitemId = 599;
const workItemsFormComp = document.getElementById('workitemform');
workItemsFormComp.workItemData = workItemData;
workItemsFormComp.workitemId = workitemId;

</script>
```

[component-metadata:bpme-work-item-form]
