import BpmeBaseComponent from '../../internal/bpme-base-component';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 * @event twc-listSelected - Emitted when settings item is selected with a unique value as the selected settings name.
 *
 */
export default class BpmeApplicationSettings extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    settings: {
        name: string;
        label: string;
    }[];
    render(): import("lit-html").TemplateResult<1>;
    listItemRender(i: any): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-application-settings': BpmeApplicationSettings;
    }
}
