import { LitElement } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-business-services's content.
 *
 * @event { PFEBusinessService[] } bpme-business-services-data - Emitted when the business services are available.
 * @event { PFEBusinessService } bpme-business-services-start - Emitted when the business service selected.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeBusinessServicesRecents extends LitElement {
    static styles: import("lit").CSSResult[];
    EVENT_START: string;
    recents: any;
    processArray: any;
    updateRecents(recents: any): void;
    ngOnChanges(_changes: any): Promise<void>;
    processStart(e: any): void;
    update(changedProps: any): void;
    updated(changedProps: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-business-services-recent": BpmeBusinessServicesRecents;
    }
}
