import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/badge/badge.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/skeleton/skeleton.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-sidebar
 * @dependency twc-icon
 * @dependency twc-button
 * @dependency twc-input
 *
 * @slot - The default content slot.
 *
 *
 * @csspart base - The component's internal wrapper.
 *
 *
 */
export declare class BpmeCaseSidebarWidget extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Label text of the component. */
    label: any;
    case: any;
    type: any;
    pinSidebarFlag: boolean;
    /**To set the show and hide config properties */
    detailsConfigProp: any;
    show(): void;
    hide(): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    renderWidgetContent(): import("lit-html").TemplateResult<1> | undefined;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    pinSidebar(e: any): void;
    closeSidebar(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-case-sidebar-widget": BpmeCaseSidebarWidget;
    }
}
