import BpmeBaseComponent from "../../internal/bpme-base-component";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar/toolbar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-group/toolbar-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-item/toolbar-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/switch/switch.js";
export declare const auditToolbarEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeCommonAuditToolbar extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Managed object type of the selected audit item. */
    isSearchSectionHide: boolean;
    columnSelectorColumns: boolean;
    columnSelectorSelectedData: any;
    columnSelectorData: any;
    isFindInstanceHide: boolean;
    dialog: any;
    findInstanceDialog: any;
    showSearchWidget: boolean;
    actualSearchedText: string;
    selectedColumnData: any;
    openFilters(): void;
    refreshHandle(): void;
    search(e: any): void;
    clearSearch(): void;
    showSearch(): void;
    columnSelectorHandle(event: any): void;
    columnSelectorClickHandle(): void;
    onCancel(): void;
    onSave(): void;
    selectedColumsList(event: any): void;
    showColumnSelector(): void;
    hide(): void;
    findInstanceFilter(e: any): void;
    openFindInstanceDialog(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-common-audit-toolbar": BpmeCommonAuditToolbar;
    }
}
