export declare const workItemAttributes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const relatedCasesAttibutes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const referringCasesAttributes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const processInstancesAttributes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const processTemplatesAttributes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const applicationSubmenuAttributes: {
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const relatedWorkItemsStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    subMenus: {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        parentStepId: string;
    }[];
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const relatedWorkItemsCasesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const relatedCasesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    sequence: number;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: never[];
};
export declare var processTemplatesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare var referencedProcessInstancesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: ({
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        disabledKey: string;
        isDisableItem: boolean;
    } | {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        disabledKey?: undefined;
        isDisableItem?: undefined;
    })[];
};
export declare var referencedProcessInstancesForApplicationsStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
    }[];
};
export declare var referencedProcessInstancesForTemplatesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
    }[];
};
export declare var referencedProcessInstancesCasesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
};
export declare const referencedWorkItemsStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: ({
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        disabledKey: string;
        isDisableItem: boolean;
    } | {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        disabledKey?: undefined;
        isDisableItem?: undefined;
    })[];
};
export declare const referringCasesStep: {
    name: string;
    label: string;
    btnLabel: string;
    breadCrumbLabel: string;
    id: string;
    parentTypeId: string;
    customEventName: string;
    noDataAvailableLabel: string;
    attributes: ({
        value: string;
        label: string;
        type: string;
        eventName1?: undefined;
        eventName2?: undefined;
    } | {
        value: string;
        label: string;
        type: string;
        eventName1: string;
        eventName2: string;
    })[];
    defaultAttributes: string[];
    subMenus: {
        id: string;
        label: string;
        customEventName: string;
        attributes: ({
            value: string;
            label: string;
            type: string;
            eventName1?: undefined;
            eventName2?: undefined;
        } | {
            value: string;
            label: string;
            type: string;
            eventName1: string;
            eventName2: string;
        })[];
        defaultAttributes: string[];
        parentStepId: string;
    }[];
};
export declare const componentConfig: {
    name: string;
    id: string;
    steps: {
        stepData: {
            attributes: ({
                value: string;
                label: string;
                type: string;
                eventName1?: undefined;
                eventName2?: undefined;
            } | {
                value: string;
                label: string;
                type: string;
                eventName1: string;
                eventName2: string;
            })[];
            defaultAttributes: string[];
        };
        sequence: number;
        lastStep: boolean;
    }[];
}[];
