import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import { bpmcontext } from 'bpme-services-lib';
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeConfigurationApplications extends BpmeBaseComponent {
    applications: bpmcontext.BPMApplicationConfiguration[] | undefined;
    configContext?: bpmcontext.BPMConfigurationContext;
    selectedApplication: bpmcontext.BPMApplicationConfiguration | undefined;
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderSkeleton(): unknown;
    renderAppOption(application: bpmcontext.BPMApplicationConfiguration): any;
    handleListSelection(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-configuration-applications': BpmeConfigurationApplications;
    }
}
