import { bpmcontext } from "bpme-services-lib";
import { LitElement, PropertyValues } from "lit";
/**
 * @since 1.0.0
 * @status stable
 */
export default class BpmeConfigurationContext extends LitElement {
    bpmConfig: bpmcontext.BPMConfigurationContextImpl;
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-configuration-context": BpmeConfigurationContext;
    }
}
