import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import { BPMConfiguration, BPMConfigurationProperty } from "bpme-services-lib/dist/lib/services";
import { bpmcontext } from "bpme-services-lib";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeConfigurationProperties extends BpmeBaseComponent {
    component: bpmcontext.BPMConfiguration | undefined;
    configContext?: bpmcontext.BPMConfigurationContext;
    isDirty: boolean;
    oldComponent: BPMConfiguration;
    oldComponent2: BPMConfiguration;
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    cancelPropertyChanges(): void;
    resetProperties(): void;
    updateProperties(): void;
    renderPropertyDetails(compProperty: BPMConfigurationProperty): any;
    propertyChange(value: any, compProperty: BPMConfigurationProperty): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-configuration-properties': BpmeConfigurationProperties;
    }
}
