import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab/tab.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-panel/tab-panel.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard/wizard.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-header/wizard-header.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-step/wizard-step.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-toolbar/wizard-toolbar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-button/wizard-button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/textarea/textarea.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-selector/list-selector.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js';
import { BPMConfigurationContext } from 'bpme-services-lib/dist/lib/services';
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeConfigurationTabs extends BpmeBaseComponent {
    configuration: BPMConfigurationContext;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    tabShow(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-configuration-tabs': BpmeConfigurationTabs;
    }
}
