import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import { BPMApplicationConfiguration } from 'bpme-services-lib/dist/lib/services';
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeConfiguration extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedScope: string | undefined;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderConfigurationOptions(): unknown;
    handleAppSelected(application: BPMApplicationConfiguration): void;
    handleScopeChange(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-configuration': BpmeConfiguration;
    }
}
