import { LitElement, PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
import './bpme-favourites.css';
import './bpme-favourites.module.css';
export declare const favouritesEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 */
export declare class BpmeFavourites extends LitElement {
    static styles: import("lit").CSSResult[];
    FAVOURITE_SETTINGS_CONFIG: {
        name: string;
        scope: string;
        type: string;
        value: string;
    };
    processArray: any;
    config: any;
    settings: any;
    EVENT_DATA: string;
    EVENT_SELECT: string;
    updateSettings(valueJSON: any): void;
    getSettings(): void;
    clearSettings(): void;
    onSettingSelect(setting: any): void;
    refresh(): void;
    /*************************************************************************************************************** */
    connectedCallback(): void;
    /**
    * Implement to perform post-updating tasks via DOM APIs, for example, focusing an element.
    * Setting properties inside this method will *not* trigger another update.
    */
    update(changedProps: PropertyValues): void;
    processStart(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-favourites": BpmeFavourites;
    }
}
