import BpmeBaseComponent from '../../internal/bpme-base-component';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
/**
 * @since 1.0.0
 * @status preview
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeLanguageBuilder extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedLanguage: undefined;
    selectedComponent: undefined;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleSelectedComponent(event: any): void;
    handleSelectedLanguage(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-language-builder": BpmeLanguageBuilder;
    }
}
