import BpmeBaseComponent from "../../internal/bpme-base-component";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/dialog/dialog.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import { bpmcontext } from "bpme-services-lib";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeLanguageClone extends BpmeBaseComponent {
    languageToClone: any;
    cloneFrom: string | undefined;
    cloneName: string | undefined;
    langContext?: bpmcontext.BPMLanguageContext;
    static styles: import("lit").CSSResult[];
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    handleDialogHide(): void;
    saveAsLocale(): void;
    cancelSaveAs(): void;
    localeNameChange(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-language-clone': BpmeLanguageClone;
    }
}
