import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeLanguageComponents extends BpmeBaseComponent {
    language: string;
    componentNames: string[];
    componentsMap: any;
    selectedComponent: any;
    static styles: import("lit").CSSResult[];
    protected update(changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleListSelection(event: any): void;
    renderComponent(componentName: unknown): any;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-language-components': BpmeLanguageComponents;
    }
}
