import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import { bpmcontext } from "bpme-services-lib";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeLanguageKeys extends BpmeBaseComponent {
    component: any;
    langContext?: bpmcontext.BPMLanguageContext;
    updatedKey: any;
    newLocaleName: string | undefined;
    showSaveAsDialog: boolean;
    origComponent: any;
    oldComponent: any;
    static styles: import("lit").CSSResult[];
    protected update(changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    handleCloneClose(): void;
    saveAsLocale(): void;
    cancelSaveAs(): void;
    localeNameChange(event: any): void;
    checkBaseSlot(): unknown;
    checkFooterSlot(): unknown;
    saveAs(): void;
    cancelSave(): void;
    saveComponent(): void;
    showToastMessage(): void;
    checkContentSlot(): unknown;
    renderKey(key: any, value: any): import("lit-html").TemplateResult<1>;
    handleInputChange(event: any, key: any, value: any): void;
    checkHeaderSlot(): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-language-keys': BpmeLanguageKeys;
    }
}
