import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot -
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeProcessInstanceSummary extends BpmeBaseComponent {
    summarySidebar: any;
    formConfig: any;
    summary: any;
    formInitData: any;
    tibcoForm: any;
    summaryConfigData: any;
    static styles: import("lit").CSSResult[];
    cancelHandler(e: any): void;
    loadHandler(e: any): void;
    loadErrorHandler(e: any): void;
    show(): void;
    previewFormLocale: any;
    initializeSummary(): void;
    formatSummaryData(data: any): void;
    updated(changedProps: PropertyValues): void;
    createForm(): void;
    removeTibcoNodes(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
