import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dropdown/dropdown.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const filterDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @dependency twc-button
 *
 */
export declare class BpmeProcessTemplateFilterDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    fields: {};
    filterData: any;
    packageName: string;
    processName: string;
    packageVersion: string;
    packageSelectOption: string;
    processSelectOption: string;
    versionSelectOption: string;
    queryData: any;
    dialog: any;
    constructor();
    connectedCallback(): void;
    initializeFilterData(): void;
    removeChips(): void;
    show(): void;
    hide(): void;
    closeDialog(): void;
    resetFilter(): void;
    saveDialog(): void;
    getFromSession(key: any): void;
    saveInSession(key: any, val: any): void;
    updated(changedProps: PropertyValues): void;
    handleProcessInput(ev: any): void;
    handlePackageInput(ev: any): void;
    handleVersionInput(ev: any): void;
    handleProcessSelect(ev: any): void;
    handlePackageSelect(ev: any): void;
    handleVersionSelect(ev: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-process-template-filter-dialog": BpmeProcessTemplateFilterDialog;
    }
}
