import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js";
import "../bpme-confirm-dialog/bpme-confirm-dialog";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeProcessTemplateMigrationDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    confirmDialog: any;
    migrationData: any;
    processName: any;
    packageName: any;
    packageVersion: any;
    showDelete: boolean;
    migrationSetTo: any;
    showDetails: boolean;
    filterQuery: any;
    otherVersions: any[];
    showNoVersionsMsg: boolean;
    showResponse: boolean;
    enableMigration: boolean;
    taskdetails: any;
    showSuccess: any;
    currentIndex: number;
    selectedVersion: any;
    migrateId: any;
    alertBody: string;
    constructor();
    connectedCallback(): void;
    resetData(): void;
    updated(changedProps: PropertyValues): void;
    initilizeMigrationData(): void;
    migrate(): void;
    deleteMigration(): void;
    showVersionDetails(version: any, index: any): void;
    show(): void;
    close(): void;
    back(): void;
    deleteConfirmation(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
