import { bpmcontext } from "bpme-services-lib";
import { LitElement } from "lit";
/**
 * @since 1.0.0
 * @status stable
 */
export default class BpmeRouteContext extends LitElement {
    bpmRoute: bpmcontext.BPMRouteContext;
    applicationName: string;
    constructor();
    getRegisteredRoutes(): Promise<any>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-route-context": BpmeRouteContext;
    }
}
