import { LitElement } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb/breadcrumb.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb-item/breadcrumb-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-common-audit content.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeSidebar extends LitElement {
    static styles: import("lit").CSSResult[];
    elementWidth: string;
    heading: string;
    headingIconName: string;
    closeIconName: string;
    closeEventName: string;
    listObject: Array<any>;
    subHeading: string;
    subHeadingContent: string;
    htmlToRender: string;
    enableBackBtn: boolean;
    resizeContainer(): void;
    stopResize(e: any): void;
    initResize(e: any): void;
    resizeCallback(e: any): void;
    listClickEvent(item: any, filter: any): void;
    closeSideBar(): void;
    render(): import("lit-html").TemplateResult<1>;
}
