import BpmeBaseComponent from "../../internal/bpme-base-component";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/dialog/dialog.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import { BPMThemeDetails } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeThemeAdd extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedFile: any;
    documentName: string;
    uploadConfig: any;
    successMassage: string;
    showSuccess: boolean;
    spChars: boolean;
    invalidFileExtension: boolean;
    files: any;
    renderedURL: any;
    clearDocumentInChild: boolean;
    themeLabel: string;
    themeCSSClass: string;
    themeType: string;
    showProgressIndicator: boolean;
    selectedCategory: BPMThemeDetails | undefined;
    showNewCategory: boolean;
    categoryLabel: string;
    categoryName: string;
    onFileSelect(selectEvent: any, dragEvent?: boolean): void;
    testFileExtension(): boolean;
    onFileDrop(dropEvent: any): void;
    clearDocument(): void;
    uploadDocument(): void;
    showToastMessage(toastContent: any, messageType: any): void;
    firstUpdated(): void;
    allowDrop(ev: any): void;
    drag(ev: any): void;
    drop(ev: any): void;
    onDocumentDrop(event: any): void;
    checkFileSize(size: number): boolean;
    sizeWarning(): void;
    cancelDocument(): void;
    render(): import("lit-html").TemplateResult<1>;
    handleCategoryNameChange(event: any): void;
    handleCategoryLabelChange(event: any): void;
    renderCategory(tCategory: any): import("lit-html").TemplateResult<1>;
    handleParentNameChange(event: any): void;
    handleThemeCSSClassChange(event: any): void;
    handleThemeLabelChange(event: any): void;
    handleThemeTypeChange(event: any): void;
    renderSkeleton(): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-theme-add': BpmeThemeAdd;
    }
}
