import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status preview
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 *
 */
export declare class BpmeThemeBuilderPro extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    showAdvanceTheme: boolean;
    theme: BPMThemeDetails | undefined;
    themeCategory: BPMThemeDetails | undefined;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleShowAdvanceSettings(event: any): void;
    /**It will re-render the basic theme builder screen again from advanced builder*/
    showBasicThemeBuilder(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-builder-pro": BpmeThemeBuilderPro;
    }
}
