import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeProperties, BPMThemeSection, BPMThemeVariable } from "../../utilities/themes-model";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/categoriser/categoriser.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/color-picker/color-picker.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeParametersSizes extends BpmeBaseComponent {
    themeData: any;
    componentData: any;
    themeProperty: BPMThemeProperties | undefined;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderThemeSection(section: BPMThemeSection): any;
    renderSectionProperty(sectionProp: BPMThemeVariable): any;
    handlePickerHover(event: any, sectionProp: BPMThemeVariable): void;
    handleThemeVariableValue(event: any, property: BPMThemeVariable): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-parameters-sizes": BpmeThemeParametersSizes;
    }
}
