import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeBasics, BPMThemeProperties } from "../../utilities/themes-model";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemePropertiesList extends BpmeBaseComponent {
    propertiesList: BPMThemeBasics | undefined;
    selectedProperty: BPMThemeProperties | undefined;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    renderSkeleton(): unknown;
    checkBaseSlot(): unknown;
    renderThemesProp(themProp: BPMThemeProperties): any;
    handleListSelection(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-properties-list": BpmeThemePropertiesList;
    }
}
