import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails } from "../../utilities/themes-model";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert-dialog/alert-dialog.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeSettingsAdvanced extends BpmeBaseComponent {
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    /**Selected theme */
    theme?: BPMThemeDetails;
    selectedTab: string;
    disableButtons: boolean;
    varUpdates: Map<string, string>;
    showLoadingIndicator: boolean;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    renderSkeleton(): unknown;
    checkBaseSlot(): unknown;
    handleTabSelection(tab: string): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-settings-advanced": BpmeThemeSettingsAdvanced;
    }
}
