import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeTooltip extends BpmeBaseComponent {
    tooltipText: string;
    open: boolean;
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleCloseIcon(): void;
    handleIcon(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-tooltip": BpmeThemeTooltip;
    }
}
