import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeToast extends BpmeBaseComponent {
    variant: 'primary' | 'success' | 'warning' | 'danger';
    message: any;
    triggerToast(variant: string, message: string): void;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-toast": BpmeToast;
    }
}
