import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js';
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeUploadLanguage extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedFile: any;
    documentName: string;
    uploadConfig: any;
    successMassage: string;
    showSuccess: boolean;
    spChars: boolean;
    invalidFileExtension: boolean;
    files: any;
    renderedURL: any;
    clearDocumentInChild: boolean;
    onFileSelect(selectEvent: any, dragEvent?: boolean): void;
    testFileExtension(): boolean;
    onFileDrop(dropEvent: any): void;
    clearDocument(): void;
    uploadDocument(): void;
    showToastMessage(toastContent: any, messageType: any): void;
    firstUpdated(): void;
    allowDrop(ev: any): void;
    drag(ev: any): void;
    drop(ev: any): void;
    onDocumentDrop(event: any): void;
    getReaderURL(uploadedFile: any): Promise<boolean>;
    checkFileSize(size: number): boolean;
    removeImage(e?: any): void;
    sizeWarning(): void;
    cancelDocument(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-upload-language": BpmeUploadLanguage;
    }
}
