import { LitElement, PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeWorkItemMenu extends LitElement {
    static styles: import("lit").CSSResult[];
    previewFormConfig: {
        inputFormat: string;
        showToolbar: boolean;
        textOnly: boolean;
        root: {};
        toolbar: {
            _: {
                styleName: string;
            };
            submit: {
                _: {
                    labelRef: string;
                    propSetButtonType: string;
                };
            };
        };
        messages: {
            _: {
                labelPosition: string;
            };
        };
    };
    previewFormLocale: any;
    sidebarLabel: any;
    selectedRowData: any;
    workItems: any;
    activeIndex: number;
    workItemData: any;
    dialog: any;
    show(): void;
    hide(): void;
    getPrevItem(): void;
    getNextItem(): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-item-menu": BpmeWorkItemMenu;
    }
}
