import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeWorkItemPreview extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    previewFormConfig: {
        inputFormat: string;
        showToolbar: boolean;
        textOnly: boolean;
    };
    previewFormLocale: any;
    formEventData: any;
    sidebarLabel: any;
    selectedRowData: any;
    workItems: any;
    activeIndex: number;
    formData: any;
    workItemData: any;
    showloading: boolean;
    dialog: any;
    noPreviewDataMessage: boolean;
    show(): void;
    hide(): void;
    removeTibcoNodes(): void;
    getPrevItem(): void;
    getNextItem(): void;
    getWorkItemDetails(id: any): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    previewCancelHandler(event: any): void;
    previewLoadHandler(event: any): void;
    formErrorHandler(_error: any): void;
    createForm(): void;
    update(changedProperties: Map<string, unknown>): void;
    disconnectedCallback(): void;
    isEmptyObject(obj: any): boolean;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-item-preview": BpmeWorkItemPreview;
    }
}
