import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon-button/icon-button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const columnSelectorDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @event { boolean } bpme-work-items-sort-config-dialog-cancel - Emitted when the cancel action.
 * @event { string } bpme-work-items-sort-config-dialog-save - Emitted when the save action.
 */
export declare class BpmeWorkItemsColumnSelectorDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    selectedColumnData: any;
    show(): void;
    hide(): void;
    data: never[];
    initSelectedData: never[];
    selectedData: any;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    EVENT_SELECT: string;
    selectedColumsList(event: any): void;
    onCancel(): void;
    onSave(): void;
    updated(changedProps: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
