import { LitElement } from "lit";
/**
 * @since 1.0.0
 * @status stable
 *
 * @event { string[] } bpme-work-items-sort-config-sort-order - Emitted when the business services are available.
 */
export declare class BpmeWorkItemsColumnsConfig extends LitElement {
    static styles: import("lit").CSSResult[];
    initData: any[];
    availableColumnsControl: any;
    selectedColumnsControl: any;
    availableColumnsControlValue: Array<any>;
    selectedColumnsControlValue: Array<any>;
    selectedColumns: Array<any>;
    defaultAvailableColumns: Array<any>;
    availableColumns: any[];
    hasOrderingControl?: boolean;
    hasSelectionToggle?: boolean;
    hasAscendingDescendingSuffix?: boolean;
    _onChange: (value: any) => void;
    _onTouched: () => void;
    EVENT_SORT_ORDER: string;
    watchHandler(newValue: boolean, _oldValue: boolean): void;
    ngOnInit(): void;
    addOrderAttribute(): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    writeValue(items: any): void;
    moveColumns(to: string): void;
    changeOrder(direction: string): void;
    isFirstItem(): boolean;
    islastItem(): boolean;
    private getValues;
    toggleSortOrder(item: any): void;
    getColumnNameAndOrder(value: any): {
        name: any;
        order: any;
    };
    reset(): void;
    connectedCallback(): void;
    handleAvailable(event: any): void;
    handleSelected(event: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
