import { handlers as mockPageflowApiHandler} from './mock/mockPageflowApiHandler.js'
import { handlers as mockCaseApiHandler} from './mock/mockCaseApiHandler.js'
import { handlers as mockWorkApiHandler} from './mock/mockWorkApiHandler.js'
import { handlers as mockAuthApiHandler} from './mock/mockAuthApiHandler.js'
import { handlers as mockConfigApiHandler} from './mock/mockConfigApiHandler.js'
import { handlers as mockAuditApiHandler} from './mock/mockAuditApiHandler.js'
import {handlers as mockProcessApiHandler} from './mock/mockProcessApiHandler.js'
import { handlers as mockThemeApiHandler } from './mock/mockThemeApiHandler.js';
import { handlers as mockLanguageApiHandler } from './mock/mockLanguageApiHandler.js';
import { handlers as mockConfigurationApiHandler } from './mock/mockConfigurationApiHandler.js';


const { setupWorker, rest } = MockServiceWorker;

const handlers = [...mockPageflowApiHandler, ...mockCaseApiHandler,...mockWorkApiHandler,...mockAuthApiHandler,
  ...mockConfigApiHandler, ...mockAuditApiHandler, ...mockProcessApiHandler, ...mockThemeApiHandler, ...mockLanguageApiHandler, ...mockConfigurationApiHandler]		


// This configures a Service Worker with the given request handlers.
const worker = setupWorker(...handlers)
worker.start({
    //quiet: true,
    //onUnhandledRequest: 'bypass',
    serviceWorker: {
      // Points to the custom location of the Service Worker file.
      url: './mockServiceWorker.js'
    }
  })
