# Overview

#### Theming allows you to customize the appearance of your Biz components, ensuring that they align with your brand identity and provide a cohesive user experience.


<div class="video-in-mac-container">
<div class="theming-content-container"><h1>Theming Highlights</h1>
<ul class="checkmark">
<li><b>Elevate Your Brand:</b> Seamlessly integrate your company's branding into your business applications with our powerful theming support.</li>
<li><b>Effortless Customization:</b> Choose from pre-configured themes or easily tailor colors to match your brand identity.</li>
<li><b>Light and Dark Modes:</b> Provide users with the flexibility to switch between light and dark themes for optimal viewing comfort.</li>
<li><b>Intuitive Theme Builder:</b> Visualize and fine-tune your theme with our user-friendly theme builder interface.</li>
<li><b>Flexible Configuration:</b> Enjoy basic and advanced customization options to achieve the precise look and feel you desire.</li>
<li><b>Save and Reuse Themes:</b> Clone and save your custom themes for future use and easy application across your organization.</li>
<li><b>Real-time Previews:</b> See the impact of your changes instantly with our live preview feature, ensuring your theme is pixel perfect.</li>
</ul>
</div>
<div class="mac-container">
<div class="macbook-frame">
        <video id="theming-video" autoplay loop muted>
            <source src="./assets/videos/Themeing.mp4" type="video/mp4">
            Your browser does not support the video tags.
        </video>
</div>
</div>
</div>
