# Transition Tokens

Transition tokens are used to provide consistent transitions throughout your app.

| Token                     | Value  | Example                                                                                        |
| ------------------------- | ------ | ---------------------------------------------------------------------------------------------- |
| `--tib-transition-x-slow` | 1000ms | <div class="transition-demo" style="transition-duration: var(--tib-transition-x-slow);"></div> |
| `--tib-transition-slow`   | 500ms  | <div class="transition-demo" style="transition-duration: var(--tib-transition-slow);"></div>   |
| `--tib-transition-medium` | 250ms  | <div class="transition-demo" style="transition-duration: var(--tib-transition-medium);"></div> |
| `--tib-transition-fast`   | 150ms  | <div class="transition-demo" style="transition-duration: var(--tib-transition-fast);"></div>   |
| `--tib-transition-x-fast` | 50ms   | <div class="transition-demo" style="transition-duration: var(--tib-transition-x-fast);"></div> |
