

if (typeof(tibcoforms) == 'undefined') tibcoforms = new Object();
if (typeof(tibcoforms.formCode) == 'undefined') tibcoforms.formCode = new Object();
tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw'] = new Object();
tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw']['defineActions'] = function() {
var fc = tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw'];
    fc['rule_cancel'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "cancel", "cancel", fc['action_cancel']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(cancel) Error: " + e);
           throw e;
       }
    }

    fc['rule_close'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "close", "close", fc['action_close']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(close) Error: " + e);
           throw e;
       }
    }

    fc['rule_submit'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "submit", "submit", fc['action_submit']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(submit) Error: " + e);
           throw e;
       }
    }

    fc['rule_set_guardian_required'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "set_guardian_required", "set_guardian_required", fc['action_set_guardian_required']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(set_guardian_required) Error: " + e);
           throw e;
       }
    }

            fc['action_set_guardian_required'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                logger.info('set_guardian_required: Customer age received:' + context.newValue );
var age = context.newValue;
if( age < 21){
  context.form.getControl('GuardianName').required = true;
} else{
  context.form.getControl('GuardianName').required = false;
}
            }
    fc['rule_compute_age'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "compute_age", "compute_age", fc['action_compute_age']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(compute_age) Error: " + e);
           throw e;
       }
    }

        fc['action_compute_age'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'data.CustAge';
                    var destType = 'data';
                    var destFeatures = new Array('value');
                    var isComplex = false;
                        isComplex = false;
                var tempScr = 'var birthDate = control.BirthDate.value; \
  \nvar now = new Date(); \
  \nlogger.info(\'compute_age: Birth date received=\' + birthDate); \
  \nif(birthDate != null){ \
  \nvar age = now.getFullYear() - birthDate.getFullYear(); \
  \n//compute age \
  \nif(now.getMonth() <= birthDate.getMonth() && now.getDate() <= birthDate.getDate()){ \
  \n    age = age-1; \
  \n } \
  \n  \
  \n if(age <= 0){ \
  \n   age = 0; \
  \n } \
  \n logger.info(\'compute_age: Returning the age value=\' + age); \
  \n //populate age field with age computed. \
  \n age; \
  \n} else{ \
  \n0; \
  \n}';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.compute_age', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.compute_age', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.compute_age', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_update_call_link'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_call_link", "update_call_links_pane", fc['action_update_call_links_pane'], false, 'pane.call_links_pane');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_call_link", "update_call_link_text", fc['action_update_call_link_text'], true, 'control.call_link');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_call_link", "update_call_link_url", fc['action_update_call_link_url'], true, 'control.call_link');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(update_call_link) Error: " + e);
           throw e;
       }
    }

        fc['action_update_call_links_pane'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'pane.call_links_pane';
                    var destType = 'pane';
                    var destFeatures = new Array('visible');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, false, destName, context.cloneUID, 'visible');                                                                        var tempScr = 'var phone = context.newValue; \
  \nvar isNotNull = (phone != null && phone != \"\"); \
  \nvar isValid = context.form.getControl(\'CustPhone\').validate(false); \
  \nvar visible = isNotNull && isValid; \
  \nlogger.info(\'update_call_links_pane: visibility is set to:\' + visible); \
  \nvisible;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_call_link_text'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.call_link';
                    var destType = 'control';
                    var destFeatures = new Array('linkText');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'linkText');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link: phone number received:\' + phone); \
  \nvar text = \'\'; \
  \nif(phone != null){  \
  \n  text = \'Skype: \' + phone ; \
  \n} \
  \nlogger.info(\'update_call_link_text: Returning skype link text=\' + text); \
  \ntext;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_call_link_url'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.call_link';
                    var destType = 'control';
                    var destFeatures = new Array('link');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'link');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link_url: phone number received:\' + phone); \
  \nvar url = \'\'; \
  \nif(phone != null){  \
  \n  url = \'skype:+1\' + phone; \
  \n} \
  \nlogger.info(\'update_call_link_url: Returning skype link url=\' + url); \
  \nurl;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_update_email_link'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_email_link", "update_email_link_text", fc['action_update_email_link_text'], true, 'control.email_link');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_email_link", "set_email_link", fc['action_set_email_link'], true, 'control.email_link');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_email_link", "update_email_links_pane", fc['action_update_email_links_pane'], false, 'pane.email_links_pane');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(update_email_link) Error: " + e);
           throw e;
       }
    }

        fc['action_update_email_link_text'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.email_link';
                    var destType = 'control';
                    var destFeatures = new Array('linkText');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'linkText');                                                                        var tempScr = 'var email = context.newValue; \
  \nlogger.info(\'update_email_link_text: email value received=\' + email); \
  \nvar text = \'\'; \
  \nif(email != null){ \
  \n  text = \'Mail \' + email; \
  \n} \
  \nlogger.info(\'update_email_link_text: returning email link text =\' + text); \
  \ntext;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_email_link_text', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_email_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_email_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_set_email_link'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.email_link';
                    var destType = 'control';
                    var destFeatures = new Array('link');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'link');                                                                        var tempScr = 'var email = context.newValue; \
  \nlogger.info(\'update_email_link: email value received=\' + email); \
  \nvar url = \'\'; \
  \nif(email != null){ \
  \n url = \"mailto:\" + email; \
  \n } \
  \n logger.info(\'update_email_link_text: returning email link url=\' + url); \
  \n url;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.set_email_link', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.set_email_link', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.set_email_link', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_email_links_pane'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'pane.email_links_pane';
                    var destType = 'pane';
                    var destFeatures = new Array('visible');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, false, destName, context.cloneUID, 'visible');                                                                        var tempScr = 'var email = control.CustEmail.value; \
  \nvar isNotNull = email != null && email != \"\"; \
  \nvar isValid = context.form.getControl(\'CustEmail\').validate(false); \
  \nvar visible = isNotNull && isValid; \
  \nlogger.info(\'update_email_links_pane: visibility is set to:\' + visible); \
  \nvisible;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_email_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_email_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_email_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_round_amount'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "round_amount", "round_value", fc['action_round_value']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(round_amount) Error: " + e);
           throw e;
       }
    }

    fc['rule_show_rounding_hint'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "show_rounding_hint", "action3", fc['action_action3']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(show_rounding_hint) Error: " + e);
           throw e;
       }
    }

            fc['action_action3'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                context.control.hint = resource.claimResources.amount_hint;
            }
    fc['rule_hide_rounding_hint'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "hide_rounding_hint", "action4", fc['action_action4']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(hide_rounding_hint) Error: " + e);
           throw e;
       }
    }

            fc['action_action4'] = function(context, data, pane, control, factory, pkg, f , p) {
                 if (context.form && context.form._marked4Cancel)
                    return;
                 var resource = context.form.resource;
                 var logger = tibcoforms.bridge.log_logger();
                var hint = "";
//Set the hint to null
context.control.hint = hint;
            }
    fc['rule_format_phone'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleScriptAction.call(thisObj, formId, context, thisObj, "format_phone", "format_phone_number", fc['action_format_phone_number']);
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(format_phone) Error: " + e);
           throw e;
       }
    }

    fc['rule_update_witness_call_link'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_links_pane", fc['action_update_witness_call_links_pane'], false, 'pane.witness_call_links_page');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_link_text", fc['action_update_witness_call_link_text'], true, 'control.witness_call_link');
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "update_witness_call_link", "update_witness_call_link_url", fc['action_update_witness_call_link_url'], true, 'control.witness_call_link');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(update_witness_call_link) Error: " + e);
           throw e;
       }
    }

        fc['action_update_witness_call_links_pane'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'pane.witness_call_links_page';
                    var destType = 'pane';
                    var destFeatures = new Array('visible');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, false, destName, context.cloneUID, 'visible');                                                                        var tempScr = 'var phone = context.newValue; \
  \nvar isNotNull = (phone != null && phone != \"\"); \
  \nvar isValid = context.form.getControl(\'WitPhone\').validate(false); \
  \nvar visible = isNotNull && isValid; \
  \nlogger.info(\'update_witness_call_links_pane: visibility is set to:\' + visible); \
  \nvisible;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_links_pane', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_witness_call_link_text'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.witness_call_link';
                    var destType = 'control';
                    var destFeatures = new Array('linkText');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'linkText');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link: phone number received:\' + phone); \
  \nvar text = \'\'; \
  \nif(phone != null){  \
  \n  text = \'Skype: \' + phone ; \
  \n} \
  \nlogger.info(\'update_call_link_text: Returning skype link text=\' + text); \
  \ntext;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_link_text', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
        fc['action_update_witness_call_link_url'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.witness_call_link';
                    var destType = 'control';
                    var destFeatures = new Array('link');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'link');                                                                        var tempScr = 'var phone = context.newValue; \
  \nlogger.info(\'update_call_link_url: phone number received:\' + phone); \
  \nvar url = \'\'; \
  \nif(phone != null){  \
  \n  url = \'skype:+1\' + phone; \
  \n} \
  \nlogger.info(\'update_call_link_url: Returning skype link url=\' + url); \
  \nurl;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.update_witness_call_link_url', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_set_personal_injury_hint'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "set_personal_injury_hint", "SetPersonalInjuryHintAction", fc['action_SetPersonalInjuryHintAction'], true, 'control.AccDescription');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(set_personal_injury_hint) Error: " + e);
           throw e;
       }
    }

        fc['action_SetPersonalInjuryHintAction'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.AccDescription';
                    var destType = 'control';
                    var destFeatures = new Array('hint');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'hint');                                                                        var tempScr = '/* \
  \n This computation action sets the value of the hint for the AccDescription control. If \
  \n a personal injury has been indicated, the predefined hint for the control is set, \
  \n otherwise an empty string is set. Note that the resource.form notation is used which \
  \n will refer to the key in the auto-generated resource bundle for the form, allowing it  \
  \n to be translated into other languages as needed. \
  \n*/ \
  \nvar personalInjury = control.PersInjury.value; \
  \nif (personalInjury == \'YES\') { \
  \n    resource.claimResources.description_hint; \
  \n} else { \
  \n    \"\"; \
  \n}';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.SetPersonalInjuryHintAction', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.SetPersonalInjuryHintAction', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.SetPersonalInjuryHintAction', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_ComputeRequiredofPhoneCustPhone'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "ComputeRequiredofPhoneCustPhone", "ComputeRequiredofPhoneCustPhoneAction", fc['action_ComputeRequiredofPhoneCustPhoneAction'], true, 'control.CustPhone');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(ComputeRequiredofPhoneCustPhone) Error: " + e);
           throw e;
       }
    }

        fc['action_ComputeRequiredofPhoneCustPhoneAction'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.CustPhone';
                    var destType = 'control';
                    var destFeatures = new Array('required');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'required');                                                                        var tempScr = '//Mark the phone as required if email is not specified. \
  \ncontrol.CustEmail.value == \"\" || control.CustEmail.value == null;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.ComputeRequiredofPhoneCustPhoneAction', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.ComputeRequiredofPhoneCustPhoneAction', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.ComputeRequiredofPhoneCustPhoneAction', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['rule_ComputeRequiredofEmailCustEmail'] = function(formId, context, thisObj) {
       try {
            bpm.forms.Util.handleComputationAction.call(thisObj, formId, context, thisObj, "ComputeRequiredofEmailCustEmail", "ComputeRequiredofEmailCustEmailAction", fc['action_ComputeRequiredofEmailCustEmailAction'], true, 'control.CustEmail');
       } catch(e) {
           tibcoforms.bridge.log_error("Rule(ComputeRequiredofEmailCustEmail) Error: " + e);
           throw e;
       }
    }

        fc['action_ComputeRequiredofEmailCustEmailAction'] = function(context, data, pane, control, factory, pkg, f , p) {
                if (context.form && context.form._marked4Cancel)
                    return;
                var resource = context.form.resource;
                var logger = tibcoforms.bridge.log_logger();
                var destName = 'control.CustEmail';
                    var destType = 'control';
                    var destFeatures = new Array('required');
                    var isComplex = false;
                    isComplex = tibcoforms.bridge.comp_isComplexFeature(context.form.id, true, destName, context.cloneUID, 'required');                                                                        var tempScr = '//Mark the email as required if phone is not specified. \
  \ncontrol.CustPhone.value == \"\" || control.CustPhone.value == null;';
                var val = eval(tempScr);
                val = bpm.forms.Util.convertExternalValueToInternalValue.call(this, isComplex, val, destName, context);
                    if (isComplex) {
                       if (tibcoforms.FormProxy.isTIBCOFormsList(val))
                           tibcoforms.bridge.compAction_updateCOListDestination(context.form.id, 'action.ComputeRequiredofEmailCustEmailAction', destName, context.cloneUID, destType, destFeatures, val);
                       else
                           tibcoforms.bridge.compAction_updateCODestination(context.form.id, 'action.ComputeRequiredofEmailCustEmailAction', destName, context.cloneUID, destType, destFeatures, val);
                    } else {
                        tibcoforms.bridge.compAction_updateDestination(context.form.id, 'action.ComputeRequiredofEmailCustEmailAction', destName, context.cloneUID, destType, destFeatures, val);
                    }
        }
    fc['action_format_phone_number'] = function(context, data, pane, control, factory, pkg, f , p) {
        if (context.form && context.form._marked4Cancel)
            return;
        var resource = context.form.resource;
        var logger = tibcoforms.bridge.log_logger();
        var phone = context.control.value;
var strippedPhone = '';
for(var i=0; i<phone.length; i++){
  var c = phone.charAt(i);
  var isNonDigitChar = isNaN(parseInt(c));
  if(!isNonDigitChar){ // check if c is a digit
    strippedPhone += c;
  }
}
if(strippedPhone.length == 10){
  var formattedPhone = '(' + strippedPhone.substr(0,3) + ') ' + strippedPhone.substr(3,3) + '-' + strippedPhone.substr(6);
  context.control.value = formattedPhone;
}
    }
    fc['action_round_value'] = function(context, data, pane, control, factory, pkg, f , p) {
        if (context.form && context.form._marked4Cancel)
            return;
        var resource = context.form.resource;
        var logger = tibcoforms.bridge.log_logger();
        var cntr = context.control;
var value = cntr.value;
if(value != null && value != ""){
	var floatVal = parseFloat(value);
	var roundValue = Math.round(floatVal);
	if(floatVal != roundValue){
  		logger.info('float value' + floatVal + ' and round value' + roundValue + ' are different');
  		cntr.value = roundValue;
	} else{
  		logger.info('float value' + floatVal + ' and round value' + roundValue + ' are equal');
	}
}
    }
    fc['action_cancel'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('cancel');
    }

    fc['action_apply'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('apply');
    }
    
    fc['action_close'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('close');
    }

    fc['action_submit'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('submit');
    }
    
    fc['action_validate'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('validate');
    }
    
    fc['action_reset'] = function(context, data, pane, control, factory, pkg, f , p) {
        context.form.invokeAction('reset');
    }
    
    fc['generator_info'] = function() {
        return "TIBCO Forms for ACE Runtime 11.0.0.045";
    }
};
tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw']['defineActions']();

tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw']['defineValidations'] = function() {
var fc = tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw'];
    
    
    
    
fc['validation_ThirdPAmount_isNumber'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'context.control.form.numberFormat(context.control.value, 17, 2);';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "isNumber", false, true);
}
fc['validation_ThirdPAmount_ThirdPAmount__fixed'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkNumberConstraint(context.stringValue, 17, 2) ? true : [context.control.label ? context.control.label : context.control.name,\'17\', \'2\'] : !isNaN(context.value) && context.form.numberFormat(context.value, 17, 2);';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "ThirdPAmount__fixed", true, true);
}
    
    
fc['validation_AccDescription_AccDescription__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 255) ? true : [context.control.label ? context.control.label : context.control.name, \'255\'] : context.value.length <= 255;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "AccDescription__length", true, true);
}
    
    
fc['validation_AccTime_accident_time_validation'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = '//Accident time must not be in the future \
  \nvar accTime = context.control.value; \
  \nvar now = new Date(); \
  \nif(now < accTime){ \
  \n  false; \
  \n} else{ \
  \n  true; \
  \n  }';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "accident_time_validation", false, true);
}
fc['validation_AccTime_AccTime__datetime'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkDateTimeFormat(context.stringValue) ?  true : [context.control.label ? context.control.label : context.control.name] : true;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "AccTime__datetime", true, true);
}
    
    
    
    
    
    
    
fc['validation_GuardianName_GuardianName__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "GuardianName__length", true, true);
}
    
fc['validation_ThirdPName_ThirdPName__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "ThirdPName__length", true, true);
}
    
    
    
fc['validation_CustName_CustName__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "CustName__length", true, true);
}
    
fc['validation_WitName_WitName__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "WitName__length", true, true);
}
    
fc['validation_CustPhone_phone_number_syntax'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = '//Retrieve the phone value \
  \nvar phone = context.control.value; \
  \nif(phone != null && phone != \"\"){ \
  \n //verify it is in the format 888-888-8888 \
  \n var strippedPhone = \'\'; \
  \n	var strippedPhone = \'\'; \
  \n	for(var i=0; i<phone.length; i++){ \
  \n  		var c = phone.charAt(i); \
  \n  		var isNonDigitChar = isNaN(parseInt(c)); \
  \n  		if(!isNonDigitChar){ // check if c is a digit \
  \n    		strippedPhone += c; \
  \n  		} \
  \n	}	 \
  \n	strippedPhone.length == 10; \
  \n} else{ \
  \n    true; \
  \n}';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "phone_number_syntax", false, true);
}
fc['validation_CustPhone_CustPhone__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 14) ? true : [context.control.label ? context.control.label : context.control.name, \'14\'] : context.value.length <= 14;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "CustPhone__length", true, true);
}
    
fc['validation_BirthDate_birth_date_validation'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'var date = context.control.value; \
  \nvar now = new Date(); \
  \n//Validate birth date some time before today\'s date and \
  \n//within 120 years \
  \nif(date == null ||  \
  \n  (date < now && now.getFullYear() - date.getFullYear() < 120)){ \
  \n true; \
  \n} else{ \
  \n false; \
  \n }';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "birth_date_validation", false, true);
}
fc['validation_BirthDate_BirthDate__datetime'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkDateFormat(context.stringValue) ?  true : [context.control.label ? context.control.label : context.control.name] : true;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "BirthDate__datetime", true, true);
}
    
    
    
    
    
    
fc['validation_CustAge_CustAge__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkNumberConstraint(context.stringValue, 3, 0) ? true : [context.control.label ? context.control.label : context.control.name, \'3\'] : !isNaN(context.value) && context.form.numberFormat(context.value,3, 0);';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "CustAge__length", true, true);
}
    
fc['validation_WitPhone_phone_number_syntax'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = '//Retrieve the phone value \
  \nvar phone = context.control.value; \
  \nif(phone != null && phone != \"\"){ \
  \n //verify it is in the format (888) 888-8888 \
  \n    var strippedPhone = \'\'; \
  \n	for(var i=0; i<phone.length; i++){ \
  \n  		var c = phone.charAt(i); \
  \n  		var isNonDigitChar = isNaN(parseInt(c)); \
  \n  		if(!isNonDigitChar){ // check if c is a digit \
  \n    		strippedPhone += c; \
  \n  		} \
  \n	}	 \
  \n	strippedPhone.length == 10; \
  \n} else{ \
  \n    true; \
  \n}';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "phone_number_syntax", false, true);
}
fc['validation_WitPhone_WitPhone__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 14) ? true : [context.control.label ? context.control.label : context.control.name, \'14\'] : context.value.length <= 14;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "WitPhone__length", true, true);
}
    
fc['validation_CustEmail_email_syntax'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'var email = context.control.value; \
  \nif(email != null && email != \"\"){ \
  \n //Match format xxx@xxx.xxx \
  \n var match = RegExp(\"(.)+@(.)+\\\\.(.)+\").test(email);  \
  \n match; \
  \n} else{ \
  \ntrue; \
  \n}';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "email_syntax", false, true);
}
fc['validation_CustEmail_CustEmail__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "CustEmail__length", true, true);
}
    
    
    
fc['validation_ClaimAmount_isNumber'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'context.control.form.numberFormat(context.control.value, 17, 2);';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "isNumber", false, true);
}
fc['validation_ClaimAmount_ClaimAmount__fixed'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkNumberConstraint(context.stringValue, 17, 2) ? true : [context.control.label ? context.control.label : context.control.name,\'17\', \'2\'] : !isNaN(context.value) && context.form.numberFormat(context.value, 17, 2);';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "ClaimAmount__fixed", true, true);
}
    
    
fc['validation_InsurNumber_InsurNumber__length'] = function(formId, controlName, cloneUID, listIndex) {
    var valScr = 'typeof context.stringValue != \'undefined\' && typeof bpm.forms.Util != \'undefined\' ? bpm.forms.Util.checkTextLength(context.stringValue, 50) ? true : [context.control.label ? context.control.label : context.control.name, \'50\'] : context.value.length <= 50;';
    return bpm.forms.Util.handleInlineValidation.call(this, formId, this, cloneUID, listIndex, valScr, "InsurNumber__length", true, true);
}
    
    
    
    fc['validate_required'] = function(formId, controlName, cloneUID, listIndex) {
        return bpm.forms.Util.handleRequiredValidation.call(this, formId, controlName, cloneUID, listIndex);
    }
    fc['register_pkgs_and_fcts'] = function(formId) {
       var form = tibcoforms.formCache[formId];
       form.registerPackages([]);
       form.registerFactories([]);
    }
    fc['DataModel'] = function(formId) {
        if (this.form) return;
        this.form = tibcoforms.formCache[formId];
        Object.defineProperty(this, 'CustName', {
            get: function() {
                return this.form.dataMap['CustName'].value;
            },
            set: function(value) {
                this.form.dataMap['CustName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'CustPhone', {
            get: function() {
                return this.form.dataMap['CustPhone'].value;
            },
            set: function(value) {
                this.form.dataMap['CustPhone'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'CustEmail', {
            get: function() {
                return this.form.dataMap['CustEmail'].value;
            },
            set: function(value) {
                this.form.dataMap['CustEmail'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'BirthDate', {
            get: function() {
                return this.form.dataMap['BirthDate'].value;
            },
            set: function(value) {
                this.form.dataMap['BirthDate'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'CustAge', {
            get: function() {
                return this.form.dataMap['CustAge'].value;
            },
            set: function(value) {
                this.form.dataMap['CustAge'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'GuardianName', {
            get: function() {
                return this.form.dataMap['GuardianName'].value;
            },
            set: function(value) {
                this.form.dataMap['GuardianName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'ClaimAmount', {
            get: function() {
                return this.form.dataMap['ClaimAmount'].value;
            },
            set: function(value) {
                this.form.dataMap['ClaimAmount'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'AccTime', {
            get: function() {
                return this.form.dataMap['AccTime'].value;
            },
            set: function(value) {
                this.form.dataMap['AccTime'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'AccDescription', {
            get: function() {
                return this.form.dataMap['AccDescription'].value;
            },
            set: function(value) {
                this.form.dataMap['AccDescription'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'PersInjury', {
            get: function() {
                return this.form.dataMap['PersInjury'].value;
            },
            set: function(value) {
                this.form.dataMap['PersInjury'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'ThirdPInvolved', {
            get: function() {
                return this.form.dataMap['ThirdPInvolved'].value;
            },
            set: function(value) {
                this.form.dataMap['ThirdPInvolved'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitAvailable', {
            get: function() {
                return this.form.dataMap['WitAvailable'].value;
            },
            set: function(value) {
                this.form.dataMap['WitAvailable'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'ThirdPName', {
            get: function() {
                return this.form.dataMap['ThirdPName'].value;
            },
            set: function(value) {
                this.form.dataMap['ThirdPName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'InsurName', {
            get: function() {
                return this.form.dataMap['InsurName'].value;
            },
            set: function(value) {
                this.form.dataMap['InsurName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'InsurNumber', {
            get: function() {
                return this.form.dataMap['InsurNumber'].value;
            },
            set: function(value) {
                this.form.dataMap['InsurNumber'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'ThirdPAmount', {
            get: function() {
                return this.form.dataMap['ThirdPAmount'].value;
            },
            set: function(value) {
                this.form.dataMap['ThirdPAmount'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitName', {
            get: function() {
                return this.form.dataMap['WitName'].value;
            },
            set: function(value) {
                this.form.dataMap['WitName'].value = value;
            },
            enumerable: true
        });
        Object.defineProperty(this, 'WitPhone', {
            get: function() {
                return this.form.dataMap['WitPhone'].value;
            },
            set: function(value) {
                this.form.dataMap['WitPhone'].value = value;
            },
            enumerable: true
        });
    }
       
       
            
            
       
       
       
            
       
       
};
tibcoforms.formCode['_ZPCxUIGkEe-erIyCouQ2xw']['defineValidations']();
