# bpme-configuration-context

[component-header:bpme-configuration-context]

A top level component can be a child of bpme-configuration-context components with which all the component configurations will be available to all the child components.  


```html
<bpme-configuration-context>
  <top-level-component></top-level-component>
</bpme-configuration-context>

<script>
  /** Get the instance of bpme-configuration-context component */
  const configurationContext = document.querySelector('bpme-configuration-context');
  /** Configuration details for the 'work-list' component can accessed as*/
  configurationContext.bpmConfig.getComponentConfiguration('work-list');
</script>
```

[component-metadata:bpme-configuration-context]

