# bpme-language-context

[component-header:bpme-language-context]

A top level component can be a child of bpme-language-context components with which all the language related data like current language, registered languages, language translations will be avaiable to all the child components.  


```html
<bpme-language-context>
  <top-level-component></top-level-component>
</bpme-language-context>

<script>
  /** Get the instance of bpme-language-context component */
  const languageContext = document.querySelector('bpme-language-context');
  /** Languages data can be used from the context object which will have details language, languageData, registeredLanguages */
  languageContext.bpmLang.getLanguage();
</script>
```

[component-metadata:bpme-language-context]

