# bpme-system-actions

[component-header:bpme-system-actions]

A component for displaying `bpme-system-actions`.


```html preview
<bpme-system-actions id="systemactions">
</bpme-system-actions>    
<script>
    const data: any = [
    { component: 'ADMIN', action: 'systemAdmin' },
    { component: 'DE', action: 'browseModel' },
    { component: 'DE', action: 'resourceAdmin' },
    { component: 'DE', action: 'readParameters' },
    { component: 'DE', action: 'writeParameters' },
    { component: 'DE', action: 'readPushDestinations' },
    { component: 'DE', action: 'writePushDestinations' },
    { component: 'DE', action: 'LDAPAdmin' },
    { component: 'DE', action: 'deleteLDAPAdmin' },
    { component: 'DE', action: 'resolveResource' },
    { component: 'DE', action: 'importLDAPAdmin' },
    { component: 'DE', action: 'exportLDAPAdmin' },
    { component: 'DE', action: 'createResourceAdmin' },
    { component: 'DE', action: 'deleteResourceAdmin' },
    { component: 'DE', action: 'userAdmin' },
    { component: 'DE', action: 'organizationAdmin' },
    { component: 'DE', action: 'authenticatedUser' },
    { component: 'BRM', action: 'viewWorkList' },
    { component: 'BRM', action: 'viewGlobalWorkList' },
    { component: 'BRM', action: 'setResourceOrderFilterCriteria' },
    { component: 'BRM', action: 'openOtherResourcesItems' },
    { component: 'BRM', action: 'closeOtherResourcesItems' },
    { component: 'BRM', action: 'skipWorkItem' },
    { component: 'BRM', action: 'reallocateWorkItemToWorld' },
    { component: 'BRM', action: 'reallocateToOfferSet' },
    { component: 'BRM', action: 'pendWorkItem' },
    { component: 'BRM', action: 'workItemAllocation' },
    { component: 'BRM', action: 'changeAllocatedWorkItemPriority' },
    { component: 'BRM', action: 'autoOpenNextWorkItem' },
    { component: 'BRM', action: 'changeAnyWorkItemPriority' },
    { component: 'DAC', action: 'readCalendars' },
    { component: 'DAC', action: 'writeCalendars' },
    { component: 'DAC', action: 'deleteCalendars' },
    { component: 'PE', action: 'resumeSuspendProcessInstance' },
    { component: 'PE', action: 'cancelPurgeProcessInstance' },
    { component: 'PE', action: 'bulkResumeSuspendProcessInstances' },
    { component: 'PE', action: 'bulkCancelPurgeProcessInstances' },
    { component: 'PE', action: 'startprocess' },
    { component: 'PE', action: 'queryProcess' },
    { component: 'PE', action: 'setPriority' },
    { component: 'PE', action: 'setDeadlineExpiration' },
    { component: 'PE', action: 'handleProcessMigration' },
    { component: 'PE', action: 'startAndCancelAdHocActivity' },
    { component: 'CDM', action: 'readCase' },
    { component: 'CDM', action: 'createUpdateCase' },
    { component: 'CDM', action: 'deleteCase' },
    { component: 'EC', action: 'queryAudit' },
    { component: 'EC', action: 'writeAudit' },
    { component: 'EC', action: 'purgeAudit' },
    { component: 'BIZSVC', action: 'listBusinessServices' },
    { component: 'APPDEV', action: 'appDev' },
    { component: 'APPDEV', action: 'useCaseDocument' },
    { component: 'APPDEV', action: 'administerCaseDocument' },
  ];
    const systemActionComponent = document.getElementById('systemactions');
    systemActionComponent.data = data;
</script>
```

[component-metadata:bpme-system-actions]

