# bpme-theme-builder-advanced

[component-header:bpme-theme-builder-advanced]

A component to provide more fine tuned touches to the selected theme. This will allow to make the changes and save the theme. This option should be enabled for custom themes only.

```html preview
       <div style="height: 100vh">
       <bpme-theme-builder-advanced></bpme-theme-builder-advanced>
       </div>
       <script>
              const themeCategory = { 
            "name": "tibcoDefault",
            "label": "Default themes",
            "variants": [
                {
                    "name": "light",
                    "label": "Light",
                    "themeClass": "twc-theme-light",
                    "themeType": "light",
                    "isDefault": true
                },
                {
                    "name": "dark",
                    "label": "Dark",
                    "themeClass": "twc-theme-dark",
                    "themeType": "dark",
                    "isDefault": true
                }
              ]
              }

              const theme = {
                    "name": "light",
                    "label": "Light",
                    "themeClass": "twc-theme-light",
                    "themeType": "light",
                    "isDefault": true
                }
              const advancedThemeBuilder = document.querySelector("bpme-theme-builder-advanced");
              advancedThemeBuilder.themeCategory = themeCategory;
              advancedThemeBuilder.theme = theme;
       </script>
```

[component-metadata:bpme-theme-builder-advanced]

