# bpme-theme-context

[component-header:bpme-theme-context]

A top level component can be a child of bpme-theme-context components with which all the themes related data like the current theme and all the available themes will be available to the child components.  


```html
<bpme-theme-context>
  <top-level-component></top-level-component>
</bpme-theme-context>

<script>
  /** Get the instance of bpme-theme-context component */
  const themesContext = document.querySelector('bpme-theme-context');
  /** Themes register with the application can be accessed as*/
  themesContext.bpmThemes.getThemeData().then((themes) => {
    console.log(themes);
  });
</script>    
```

[component-metadata:bpme-theme-context]

