import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeApplicationSwitcher extends BpmeBaseComponent {
    showApplications: boolean;
    applications: any;
    constructor();
    protected firstUpdated(_changedProperties: PropertyValues): void;
    getRegisteredApplications(): Promise<any>;
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    checkApplicationsIconSlot(): unknown;
    renderApplications(): unknown;
    renderApplicationsCard(app: any): import("lit-html").TemplateResult<1>;
    renderMenu(menu: any): import("lit-html").TemplateResult<1>;
    handleClick(url: any): void;
    openSidebar(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-application-switcher": BpmeApplicationSwitcher;
    }
}
