import type { StoryObj } from '@storybook/web-components';
import './bpme-business-services';
import '../bpme-recents/bpme-recents';
import '../bpme-favourite-toggle/bpme-favourite-toggle';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/themes/darkvariables.css';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/themes/lightvariables.css';
declare const meta: {
    title: string;
    tags: string[];
    render: (args: import("@storybook/types").Args) => import("lit-html").TemplateResult<1>;
    argTypes: {
        businessServices: {
            processId: string;
            processName: string;
            processLabel: string;
            processExtName: string;
            processType: string;
            channelIds: string[];
            category: string;
            privileges: never[];
            moduleId: string;
            moduleName: string;
            moduleInternalName: string;
            moduleVersion: string;
            hasInputParameters: boolean;
            targetDevice: string;
        }[];
    };
    parameters: {
        actions: {
            handles: string[];
        };
    };
};
export default meta;
type Story = StoryObj;
export declare const Default: Story;
