import { LitElement } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb/breadcrumb.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb-item/breadcrumb-item.js";
export declare const breadcrumbEventsList: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-common-audit content.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeCommonAuditBreadcrumb extends LitElement {
    static styles: import("lit").CSSResult[];
    updated(changedProperties: any): void;
    breadcrumbData: any;
    auditListRenderAs: string;
    itemClicked(data: any, index: any): void;
    auditDropdownChanged(ev: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
