import { LitElement } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb/breadcrumb.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/breadcrumb-item/breadcrumb-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-common-audit content.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeCommonAuditNew extends LitElement {
    showAuditList: boolean;
    showAuditTable: boolean;
    auditCompData: any;
    auditListSelected(event: any): void;
    dropdownChanged(event: any): void;
    breadcrumbHTMLLoad(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
