export declare const auditFilter: ({
    id: string;
    name: string;
    desc: string;
    defaultFilter: string;
    links: {
        id: string;
        label: string;
        toRemove: string;
        tooltip: string;
    }[];
    orderBy: string[];
    filter: {
        id: string;
        options: {
            label: string;
            value: string;
        }[];
        desc: string;
        selected: string;
        type: string;
        filterString: string;
    }[];
    filterData: string;
    isObject: string;
    message?: undefined;
} | {
    id: string;
    name: string;
    message: string;
    desc: string;
    defaultFilter: string;
    links: {
        id: string;
        label: string;
        toRemove: string;
        tooltip: string;
    }[];
    orderBy: string[];
    filter: {
        id: string;
        options: {
            label: string;
            value: string;
        }[];
        desc: string;
        selected: string;
        type: string;
        filterString: string;
    }[];
    filterData: string;
    isObject: string;
} | {
    id: string;
    name: string;
    message: string;
    links: {
        id: string;
        label: string;
        toRemove: string;
        tooltip: string;
    }[];
    orderBy: never[];
    filter: never[];
    filterData: string;
    isObject: string;
    desc?: undefined;
    defaultFilter?: undefined;
})[];
