import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status preview
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 *
 */
export declare class BpmeConfigurationBuilder extends BpmeBaseComponent {
    selectedConfApplication: any;
    selectedConfComponent: any;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleConfigSelectedComponent(detail: any): void;
    handleSelectedConfig(detail: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-configuration-builder": BpmeConfigurationBuilder;
    }
}
