import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import { BPMApplicationConfiguration, BPMConfiguration } from "bpme-services-lib/dist/lib/services";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeConfigurationComponents extends BpmeBaseComponent {
    application: BPMApplicationConfiguration | undefined;
    selectedComponent?: BPMConfiguration | undefined;
    static styles: import("lit").CSSResult[];
    protected firstUpdated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderComponents(): unknown;
    renderComponent(component: BPMConfiguration): any;
    handleListSelection(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-configuration-components': BpmeConfigurationComponents;
    }
}
