import { LitElement, PropertyValues } from 'lit';
/**
 * @since 1.0.0
 * @status stable
 */
export declare class BpmeFavouriteToggle extends LitElement {
    static styles: import("lit").CSSResult[];
    toggleData: any;
    EVENT_TOGGLE: string;
    FAVOURITE_SETTINGS_CONFIG: {
        name: string;
        scope: string;
        type: string;
        value: string;
    };
    isFav(): any;
    private updateSettings;
    private getSettings;
    toggleFav(): void;
    debounce(timeout?: number): void;
    loadOnce(): void;
    /****************************************************************************************************************/
    static _src: boolean;
    static _timer: any;
    static _favlist: any;
    static get favlist(): any;
    static set favlist(value: any);
    static _instances: Set<BpmeFavouriteToggle>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProperties: PropertyValues): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-favourite-toggle": BpmeFavouriteToggle;
    }
}
