import { LitElement } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/details/details.js";
export declare const bpmeFilterEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-common-audit content.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeFilter extends LitElement {
    static styles: import("lit").CSSResult[];
    filterColumns: Array<any>;
    managedObjectId: string;
    applyBtnLabel: string;
    saveBtnLabel: string;
    resetBtnLabel: string;
    savedFiltersList: Array<any>;
    clearFilterLabel: string;
    showOnlySavedFiltersList: boolean;
    editFilterData: any;
    editFilterEnable: boolean;
    selectedId: string;
    headerTitle: string;
    filterHeaderName: string;
    filterHeaderLabel: string;
    filterDeleteDialog: any;
    currentDate: any;
    filteredObjectSelected: any;
    saveFilterBtnShow: boolean;
    filterDataEdited: boolean;
    selectedItemtoDelete: any;
    defaultFilters: boolean;
    savedFilters: boolean;
    editDataSelected: any;
    filterSelectedInputObject: any;
    showAddFilter: boolean;
    editFilterName: any;
    updated(changedProperties: any): void;
    filter(filterObj: Array<any>): void;
    saveFilter(event: any): void;
    resetAll(filterObj: Array<any>): void;
    savedFilterClicked(event: any, array: any, index: any): void;
    deleteFilter(event: any): void;
    openDeleteFilterDialog(event: any): void;
    closeDeleteFilterDialog(): void;
    handleDeleteFilter(): void;
    enableSelect(id: any): void;
    editFilter(event: any): void;
    bindCurrentData(value: any): any;
    bindValue(id: any): string;
    clearFilter(id: any): void;
    controlDirtyCheck(id: any): void;
    inputDateFocus(e: any): void;
    transformFilterHTML(): import("lit-html").TemplateResult<1>;
    filterSidebarOpen(): void;
    filterNavigateBack(): void;
    transformSavedFilterHtml(): import("lit-html").TemplateResult<1>;
    tabActive(event: any, tabSelection: any): true | undefined;
    navigateBackEditFilter(): void;
    returnHtml(): import("lit-html").TemplateResult<1>;
    transformEditData(): void;
    render(): import("lit-html").TemplateResult<1>;
}
