import { LitElement } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The badge's content.
 *
 * @event bpme-list-view-start - Emitted when the business service selected.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeListView extends LitElement {
    static styles: import("lit").CSSResult[];
    listData: any;
    configTypes: any;
    listSubText: boolean;
    listSubTextHover: boolean;
    list: {
        name: string;
        owner: string;
        getAllocatedItems: boolean;
        orderFilterCriteria: {};
        workViewId: number;
        modificationDate: string;
        creationDate: string;
        public: boolean;
    }[];
    lastChecked: any;
    selected: any;
    constructor();
    selectTrigger(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-list-view": BpmeListView;
    }
}
