import { LitElement } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @dependency twc-button
 *
 * @csspart login - The component's internal wrapper.
 */
export declare class BpmeLogout extends LitElement {
    /** redirects on success of Logout, url can be abosolute or relative */
    redirectUrl: string;
    currentUrl: any;
    /** Label for the button */
    logoutLabel: string;
    logout(): void;
    redirectURL(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
