import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeNavbarHeaderTools extends BpmeBaseComponent {
    showLanguageSwitcher: boolean;
    showThemeSwitcher: boolean;
    showLogout: boolean;
    showApplicationSwitcher: boolean;
    showProfile: boolean;
    signOutURL: string | undefined;
    selectedTool: string;
    constructor();
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleDrawerHide(event: any): void;
    hideDrawer(): void;
    renderProfile(): unknown;
    checkProfileSlot(): unknown;
    renderAppSwitcher(): unknown;
    checkAppSlot(): unknown;
    openDrawer(switcher: string): void;
    renderLogout(): unknown;
    checkLogoutSlot(): unknown;
    renderThemeSwitcher(): unknown;
    checkThemeSlot(): unknown;
    renderLanguageSwitcher(): unknown;
    checkLanguageSlot(): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-navbar-header-tools": BpmeNavbarHeaderTools;
    }
}
