import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dialog/dialog.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio/radio.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dropdown/dropdown.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const findInstanceEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeProcessInstanceFindDialog extends BpmeBaseComponent {
    packageFlag: string;
    packageName: string;
    processFlag: string;
    processName: string;
    versionFlag: string;
    packageVersion: string;
    startedFlag: string;
    startDate: any;
    instanceID: string;
    resetBtnLabel: string;
    static styles: import("lit").CSSResult[];
    dialog: any;
    queryData: any;
    filterIDFlag: any;
    findId: string;
    state: any;
    processInstanceId: string;
    constructor();
    show(): void;
    hide(): void;
    connectedCallback(): void;
    resetFilter(): void;
    closeDialog(): void;
    handlePackageSelect(ev: any): void;
    handlePackageInput(ev: any): void;
    handleProcessSelect(ev: any): void;
    handleProcessInput(ev: any): void;
    handleVersionSelect(ev: any): void;
    handleVersionInput(ev: any): void;
    handleDateSelect(ev: any): void;
    handleDateInput(ev: any): void;
    handleProcessInstanceInput(ev: any): void;
    saveDialog(): void;
    saveInSession(key: any, val: any): void;
    handleRadioFilter(ev: any): void;
    inputDateFocus(e: any): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-process-instance-find-dialog": BpmeProcessInstanceFindDialog;
    }
}
