import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/navmenu/navmenu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/split-panel/split-panel.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js";
import "../bpme-confirm-dialog/bpme-confirm-dialog";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeProcessInstanceFixDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    confirmDialog: any;
    fixProcessData: any;
    navItems: {
        name: string;
        index: number;
        tooltipContent: string;
    }[];
    name: any;
    haltId: any;
    haltInfo: any;
    exceptionMsg: any;
    activityFormData: {
        activityData: string;
    };
    dataSource: never[];
    processName: any;
    processId: any;
    version: any;
    defAttributes: any;
    attributeObj: any;
    advanced: HaltSystemObject[];
    faultLocation: any;
    exceptionStack: any;
    showMore: boolean;
    success: boolean;
    showresponse: boolean;
    tibcoForm: any;
    showFormStep: boolean;
    showActivityData: boolean;
    formConfig: {
        showToolbar: boolean;
        inputFormat: string;
    };
    json2FormData: any;
    activeStepIndex: number;
    currentStep: number;
    show(): void;
    hide(): void;
    resetData(): void;
    initializeData(): void;
    updated(changedProps: PropertyValues): void;
    moreDetails(): void;
    cancelHandler($event: any): void;
    updateProcess($event: any): void;
    updateProcesshelper(): void;
    changeState($event: any): void;
    loadHandler($event: any): void;
    restart(): void;
    serviceCall(): void;
    cancelInstance(): void;
    skipInstance(): void;
    confirmSkipDialog(): void;
    handleConfirmYes(e: any): void;
    isEmpty(obj: any): boolean;
    faultDatafunction(value: any): void;
    gotoDataStep(stepper: any): void;
    gotoErrorStep(stepper: any): void;
    checkActiveStep(e: any): void;
    selectMenu(e: any): void;
    currentTabTitle: string;
    handleListSelected(e: any): void;
    navActions($event: any, label: any): void;
    refresh(): void;
    navMenuItems: {
        label: string;
        toolTipContent: string;
        iconName: string;
        hideInStep2: boolean;
        hideLabel: boolean;
        index: number;
    }[];
    createForm(): void;
    removeTibcoNodes(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
export interface HaltSystemObject {
    name: string;
    value?: string;
}
