import { PropertyValues } from 'lit';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeSettingsList extends BpmeBaseComponent {
    configuration: boolean;
    languages: boolean;
    themes: boolean;
    displayList: boolean;
    configData: any;
    selectedSetting: string;
    constructor();
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    selectSettingsItem(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-settings-list': BpmeSettingsList;
    }
}
