import { LitElement, PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
/**
 * @since 1.0.0
 * @status stable
 */
export declare class BpmeSettings extends LitElement {
    static styles: import("lit").CSSResult[];
    processArray: any;
    config: any;
    recents: any;
    settings: any;
    selectedSetting: any;
    EVENT_START: string;
    EVENT_DATA: string;
    EVENT_SELECT: string;
    services: any;
    workItem: any;
    workView: any;
    recentsData: any[];
    getSettingsScope: string;
    recentComponents: any;
    updateSettings(valueJSON: any): void;
    connectedCallback(): void;
    getSettings(scope?: any): void;
    clearSettings(i: any): void;
    /*************************************************************************************************************** */
    /**
    * Implement to perform post-updating tasks via DOM APIs, for example, focusing an element.
    * Setting properties inside this method will *not* trigger another update.
    */
    updated(changedProps: PropertyValues): void;
    processStart(e: any): void;
    setList(i: any): import("lit-html").TemplateResult<1>;
    recentsCheck(e: any): void;
    setName(i: any): "Work Items" | "Business Services" | "Work View" | undefined;
    getTreeGroupTemplate(i: any): import("lit-html").TemplateResult<1>;
    getNestedTreeGroup(i: any): import("lit-html").TemplateResult<1> | undefined;
    servicesTemplate(i: any): import("lit-html").TemplateResult<1>;
    workItemTemplate(i: any): import("lit-html").TemplateResult<1>;
    workViewTemplate(i: any): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-settings": BpmeSettings;
    }
}
