import BpmeBaseComponent from "../../internal/bpme-base-component";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/dialog/dialog.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import { BPMThemeDetails } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeThemeDuplicate extends BpmeBaseComponent {
    selectedTheme: BPMThemeDetails | undefined;
    selectedThemeParent: BPMThemeDetails | undefined;
    propertyUpdated: Map<string, string> | undefined;
    themeData: any;
    themeName: string;
    themeLabel: string;
    themeCSSClass: string;
    selectedCategory: BPMThemeDetails | undefined;
    showProgressIndicator: boolean;
    showNewCategory: boolean;
    categoryLabel: string;
    categoryName: string;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    handleCategoryNameChange(event: any): void;
    handleCategoryLabelChange(event: any): void;
    renderCategory(tCategory: any): import("lit-html").TemplateResult<1>;
    handleThemeCSSClassChange(event: any): void;
    duplicateTheme(): void;
    cancelDuplicate(): void;
    handleParentNameChange(event: any): void;
    handleThemeLabelChange(event: any): void;
    handleThemeNameChange(event: any): void;
    renderSkeleton(): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-theme-duplicate': BpmeThemeDuplicate;
    }
}
