import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeOtherSettings extends BpmeBaseComponent {
    /**Selected theme */
    theme?: BPMThemeDetails;
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    themeData: any;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderLetterSpacing(): unknown;
    renderZIndex(): unknown;
    renderOverlay(): unknown;
    renderFocusRing(): unknown;
    renderTransitions(): unknown;
    renderFontWeight(): unknown;
    renderBorderWidth(): unknown;
    renderOpacity(): unknown;
    renderShadow(): unknown;
    renderLineHeight(): unknown;
    renderRoundBorder(): unknown;
    renderSpacing(): unknown;
    renderPadding(): unknown;
    renderIconSizes(): unknown;
    renderHeightWidth(): unknown;
    handleThemeVariableValue(event: any, name: string, cssVariable: string): void;
    renderBackgroundColors(): unknown;
    renderIconColors(): unknown;
    renderSelectionColors(): unknown;
    handlePickerValue(event: any, name: string, cssVariable: string): void;
    changeLabel(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-other-settings": BpmeThemeOtherSettings;
    }
}
