import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemePreviewAdvanced extends BpmeBaseComponent {
    previewMarkup?: string;
    themeData?: any;
    cssVariable?: string;
    variableValue?: string;
    themePallette?: string;
    showLoadingIndicator: boolean;
    componentData?: any;
    tooltipText: string | undefined;
    tooltipSelection: any;
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    checkFooterSlot(): unknown;
    checkContentSlot(): unknown;
    renderPreviewMarkup(): unknown;
    checkHeaderSlot(): unknown;
    renderSkeleton(): unknown;
    updateVariable(cssVariable: string, value: string): void;
    refresh(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-preview-advanced": BpmeThemePreviewAdvanced;
    }
}
