import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/drawer/drawer.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/categoriser/categoriser.js";
import { bpmcontext } from "bpme-services-lib";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeUserProfile extends BpmeBaseComponent {
    private userData;
    configData: bpmcontext.BPMConfigurationProperty[] | undefined;
    signOutURL: string | undefined;
    private showThemes;
    private showLanguages;
    private showSignout;
    private showProductName;
    private showCopy;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    connectedCallback(): void;
    updateConfigProps(): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkCopySlot(): unknown;
    checkVersionSlot(): unknown;
    checkLogoutSlot(): unknown;
    changeLabel(event: any): void;
    checkBaseSlot(): unknown;
    checkProfileBodySlot(): unknown;
    closeProfile(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-user-profile": BpmeUserProfile;
    }
}
