import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio/radio.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/counter/counter.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const pendDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-switch
 * @dependency twc-counter
 * @dependency twc-checkbox
 * @dependency twc-button

 * @slot - The default content slot.

 * @event { boolean } bpme-work-items-pend-dialog-cancel - Emitted when the cancel action performed.
 * @event { any[] } bpme-work-items-pend-dialog-save - Emitted when the save action performed.
 *
 *
 * @csspart base - The component's internal wrapper.
 * @csspart label-container - The component's label conatiner wrapper.
 * @csspart label - The component's label wrapper.
 * @csspart note-label - The component's note label wrapper.
 * @csspart radio-group-container - The component's radio group container wrapper.
 * @csspart note-info - The component's note info wrapper.
 * @csspart datetime-container - The component's datetime container wrapper.
 * @csspart counter-note - The component's counter note wrapper.
 * @csspart counter-container - The component's counter container wrapper.
 * @csspart error-msg - The component's error message wrapper.
 * @csspart footer-section - The component's footer section wrapper.
 *

 */
export declare class BpmeWorkItemsPendDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    startDateInvalidState: boolean;
    show(): void;
    hide(): void;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    /** Input data of the component.  */
    items: any;
    startDate: any;
    timeOption: string;
    yearsValue: number;
    monthsValue: number;
    weeksValue: number;
    daysValue: number;
    hoursValue: number;
    minutesValue: number;
    minDate: Date;
    active: boolean;
    getMinDate(): Date;
    pendWorkItem(): void;
    isInputInvalid(): boolean;
    closeDialog(): void;
    onTimeOptionChange(event: any): void;
    onStartDateChange(event: any): void;
    onYearsValueChange(event: any): void;
    onMonthsValueChange(event: any): void;
    onWeeksValueChange(event: any): void;
    onDaysValueChange(event: any): void;
    onHoursValueChange(event: any): void;
    onMinutesValueChange(event: any): void;
    resettodefault(): void;
    inputDateFocus(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items-pend-dialog": BpmeWorkItemsPendDialog;
    }
}
