import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/select/select.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/checkbox/checkbox.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon-button/icon-button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js';
import { PropertyValues } from 'lit';
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 */
export declare class MiniOrgBrowser extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    versions: any;
    selectedVersion: any;
    searchQueryValue: any;
    selectedCriteria: any;
    orgModelDetail: any;
    orgModel: any;
    resources: any;
    selectedResource: null;
    resourceSelectedIndex: number;
    selectedTreeNode: null;
    validSearchQuery: Boolean;
    showEntityNames: boolean;
    allowEntities: boolean;
    selections: any[];
    criteriaItems: string[];
    filter: string;
    getOrgModelRoots: (params: any) => void;
    selectedItems: any;
    addedItemNodetype: any;
    EVENT_SELECTED: string;
    EVENT_NEWADDED: string;
    constructor();
    getEntityDetail(node: any, params: any): void;
    convertOrganizationsTreeFormat(data: any): any;
    findItem(arr: any[], itemToFind: {
        nodeType?: string;
        name?: any;
    }): any;
    showResources(event: any, i: any): void;
    reset(): void;
    versionChange(e: any): void;
    showEntityNamesCheck(e: any): void;
    addSelected(e: any): void;
    removeSelected(e: any): void;
    setSelectedResource(e: any): void;
    searchResources(e: any): void;
    checkSearchEnable(e: any): void;
    getComponentIcon(nodeType: any): import("lit-html").TemplateResult<1> | undefined;
    renderNestedResources(resource: any): import("lit-html").TemplateResult<1>;
    renderOrganizations(): import("lit-html").TemplateResult<1>;
    renderResources(): import("lit-html").TemplateResult<1>;
    renderSelections(): import("lit-html").TemplateResult<1>;
    updated(changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
