import { SystemActions } from "./systemActionNames";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeSystemActionsServiceImpl implements BpmeSystemActionsService {
    static instance: BpmeSystemActionsServiceImpl;
    systemActionsMap: Map<any, any>;
    sysActions: any;
    getSystemActionsNames(): typeof SystemActions;
    static getInstance(): BpmeSystemActionsServiceImpl;
    getUserSystemAction(sysAction: any): boolean;
    fetchSystemActions(data: any): void;
}
export interface BpmeSystemActionsService {
    fetchSystemActions(data: any): void;
    getUserSystemAction(sysAction: any): any;
}
