const {
  colors,
  width,
  height,
  padding,
  borderRadius,
  lineHeight,
  fontSize,
  sizing,
  boxShadow,
  opacity,
  borderWidth,
  fontFamily,
  fontWeight,
  typography,
  minWidth,
  minHeight,
  margin,
  spacing,
  maxWidth,
  maxHeight
} = require('./lightmode/variables.cjs');

module.exports = {
  theme: {
    colors,
    width,
    height,
    padding,
    margin,
    borderRadius,
    lineHeight,
    fontSize,
    // sizing,
    boxShadow,
    opacity,
    borderWidth,
    fontFamily,
    fontWeight,
    minWidth,
    minHeight,
    spacing,
    maxWidth,
    maxHeight
  }
};
