const { setupWorker, rest, http, HttpResponse } = MockServiceWorker;

const businessServices = [
  {
    "processId": "129",
    "processName": "CreateBlankApplication11_up",
    "processLabel": "Create Blank Application11",
    "processExtName": "processOut/pageflow/BlankApplication11/CreateBlankApplication11_up.bpel",
    "processType": "BUSINESSSERVICE",
    "channelIds": [
      "openspaceGWTPull_DefaultChannel"
    ],
    "category": "Case Creators/Blank Application11",
    "privileges": [
      
    ],
    "moduleId": "84",
    "moduleName": "/BlankApplication11/Process Packages/BlankApplication11",
    "moduleInternalName": "/BlankApplication11/Process Packages/BlankApplication11",
    "moduleVersion": "1.2.0.20230327053220060",
    "hasInputParameters": false,
    "targetDevice": "Desktop"
  }];

export const handlers = [

  http.get('../../bpm/pageflow/v1/businessServices', (req, res, ctx) => {
  return HttpResponse.json(
    businessServices,
    {
      message: 'Mocked response',
    },
    {
      status: 200,
    }
  )
  }),
]		
