const { setupWorker, rest, http, HttpResponse  } = MockServiceWorker;
// import { scriptJs } from '../assets/bpm-forms/formsclient/Capturename.gwt'

const workitems = [
  {
    "id": "605",
    "version": "0",
    "header": {
      "distributionStrategy": {
        "stringKey": "WMdsOffer",
        "description": "Offer"
      },
      "priority": 50,
      "startDate": "2023-05-23T09:11:40.249Z",
      "name": "Task1",
      "description": "Task1",
      "flags": {
        "scheduleStatus": {
          "stringKey": "WMschedStatusDuring",
          "description": "During"
        }
      },
      "itemContext": {
        "activityId": "t:002gcz.2q5",
        "activityName": "Task1",
        "appInstance": "p:0a20cz",
        "appName": "PageflowProcessProcess",
        "appId": "_340Mge5nEeCUrZpLKntDNw"
      }
    },
    "state": {
      "stringKey": "WMstateOffered",
      "description": "Offered"
    },
    "attributes": {
      
    },
    "visible": true
  },
  {
    "id": "606",
    "version": "1",
    "header": {
      "distributionStrategy": {
        "stringKey": "WMdsOffer",
        "description": "Offer"
      },
      "priority": 50,
      "startDate": "2023-05-23T09:11:41.446Z",
      "name": "Task1",
      "description": "Task1",
      "flags": {
        "scheduleStatus": {
          "stringKey": "WMschedStatusDuring",
          "description": "During"
        }
      },
      "itemContext": {
        "activityId": "t:002gd0.2qc",
        "activityName": "Task1",
        "appInstance": "p:0a20d0",
        "appName": "PageflowProcessProcess",
        "appId": "_340Mge5nEeCUrZpLKntDNw"
      }
    },
    "state": {
      "stringKey": "WMstateAllocated",
      "description": "Allocated"
    },
    "attributes": {
      
    },
    "visible": true
  },
  {
    "id": "607",
    "version": "0",
    "header": {
      "distributionStrategy": {
        "stringKey": "WMdsOffer",
        "description": "Offer"
      },
      "priority": 50,
      "startDate": "2023-05-23T09:11:42.590Z",
      "name": "Task1",
      "description": "Task1",
      "flags": {
        "scheduleStatus": {
          "stringKey": "WMschedStatusDuring",
          "description": "During"
        }
      },
      "itemContext": {
        "activityId": "t:002gd1.2qj",
        "activityName": "Task1",
        "appInstance": "p:0a20d1",
        "appName": "PageflowProcessProcess",
        "appId": "_340Mge5nEeCUrZpLKntDNw"
      }
    },
    "state": {
      "stringKey": "WMstateOffered",
      "description": "Offered"
    },
    "attributes": {
      
    },
    "visible": true
  },
  {
    "id": "610",
    "version": "0",
    "header": {
      "distributionStrategy": {
        "stringKey": "WMdsOffer",
        "description": "Offer"
      },
      "priority": 50,
      "startDate": "2023-05-23T10:03:49.616Z",
      "name": "ViewLinkedCaseData",
      "description": "ViewLinkedCaseData",
      "flags": {
        "scheduleStatus": {
          "stringKey": "WMschedStatusDuring",
          "description": "During"
        }
      },
      "itemContext": {
        "activityId": "t:002gd6.2r0",
        "activityName": "ViewLinkedCaseData",
        "appInstance": "p:0a20d6",
        "appName": "SampleBPMOrderProjectProcess",
        "appId": "_oh6QwGHSEeqfz7ZPrNtfmg"
      }
    },
    "state": {
      "stringKey": "WMstateOffered",
      "description": "Offered"
    },
    "attributes": {
      
    },
    "visible": true
  }
];

const workviews = [
  {
      "name": "Test001",
      "owner": "tibco-admin",
      "getAllocatedItems": false,
      "orderFilterCriteria": {},
      "workViewId": 2,
      "modificationDate": "2023-06-01T05:45:18.326Z",
      "creationDate": "2023-06-01T05:45:18.326Z",
      "public": false
  },
  {
    "name": "Test002",
    "owner": "tibco-admin",
    "getAllocatedItems": false,
    "orderFilterCriteria": {},
    "workViewId": 2,
    "modificationDate": "2023-06-01T05:45:18.326Z",
    "creationDate": "2023-06-01T05:45:18.326Z",
    "public": false
  },
  {
    "name": "Test003",
    "owner": "tibco-admin",
    "getAllocatedItems": false,
    "orderFilterCriteria": {},
    "workViewId": 2,
    "modificationDate": "2023-06-01T05:45:18.326Z",
    "creationDate": "2023-06-01T05:45:18.326Z",
    "public": false
  },
  {
    "name": "Test004",
    "owner": "tibco-admin",
    "getAllocatedItems": false,
    "orderFilterCriteria": {},
    "workViewId": 2,
    "modificationDate": "2023-06-01T05:45:18.326Z",
    "creationDate": "2023-06-01T05:45:18.326Z",
    "public": false
  }
]
const listOrgModelVersions = [
  {
      "version": 0,
      "deployments": [
          {
              "major": 0,
              "minor": 1,
              "micro": 0,
              "name": "System Org Model",
              "deployed": "2023620T012857Z"
          }
      ]
  },
  {
      "version": 1,
      "deployments": [
          {
              "major": 1,
              "minor": 0,
              "micro": 0,
              "qualifier": "20210812173929004",
              "name": "Organization Model",
              "deployed": "2023620T080757Z"
          },
          {
              "major": 1,
              "minor": 0,
              "micro": 0,
              "qualifier": "20230620095038042",
              "name": "Case Apps Organization",
              "deployed": "2023620T095248Z"
          }
      ]
  }
]
const orgModelRoots = {
  "modelVersion": 1,
  "capabilityCategories": [
      {
          "guid": "_g7yJIIz4EemflIk8r3Y5TA",
          "name": "Qualifications",
          "label": "Qualifications",
          "capabilities": [
              {
                  "guid": "_dVzHoIz9EemflIk8r3Y5TA",
                  "name": "Masters",
                  "label": "Masters",
                  "qualifier": {
                      "guid": "_dVzHoIz9EemflIk8r3Y5TA",
                      "name": "Masters",
                      "label": "Masters",
                      "type": {
                          "type": "TIME"
                      }
                  }
              },
              {
                  "guid": "_pSv0EIz4EemflIk8r3Y5TA",
                  "name": "Certification",
                  "label": "Certification",
                  "qualifier": {
                      "guid": "_pSv0EIz4EemflIk8r3Y5TA",
                      "name": "Certification",
                      "label": "Certification",
                      "type": {
                          "type": "DATETIME"
                      }
                  }
              }
          ]
      },
      {
          "guid": "_nEX4AIz4EemflIk8r3Y5TA",
          "name": "Experience",
          "label": "Experience",
          "capabilities": [
              {
                  "guid": "_KntYMIz6EemflIk8r3Y5TA",
                  "name": "SoftwareDevelopment",
                  "label": "SoftwareDevelopment",
                  "qualifier": {
                      "guid": "_KntYMIz6EemflIk8r3Y5TA",
                      "name": "SoftwareDevelopment",
                      "label": "SoftwareDevelopment",
                      "type": {
                          "type": "BOOLEAN"
                      }
                  }
              },
              {
                  "guid": "_oyJocIz4EemflIk8r3Y5TA",
                  "name": "HumanResources",
                  "label": "HumanResources",
                  "qualifier": {
                      "guid": "_oyJocIz4EemflIk8r3Y5TA",
                      "name": "HumanResources",
                      "label": "HumanResources",
                      "type": {
                          "type": "STRING"
                      }
                  }
              }
          ]
      }
  ],
  "capabilities": [
      {
          "guid": "_luXKoHMKEem8740V7T3bYg",
          "name": "Capability1",
          "label": "Capability1",
          "qualifier": {
              "guid": "_luXKoHMKEem8740V7T3bYg",
              "name": "Capability1",
              "label": "Capability1",
              "type": {
                  "type": "ENUMSET"
              },
              "enumVals": [
                  "Value",
                  "Value1"
              ]
          }
      }
  ],
  "privilegeCategories": [
      {
          "guid": "_cDixYKL9EemVg5qVKnBQSw",
          "name": "EventManager",
          "label": "Event Manager",
          "privileges": [
              {
                  "guid": "_ftJVUKL9EemVg5qVKnBQSw",
                  "name": "QueryAudit",
                  "label": "Query Audit"
              },
              {
                  "guid": "_hstZUKL9EemVg5qVKnBQSw",
                  "name": "QueryStatistics",
                  "label": "Query Statistics"
              }
          ]
      },
      {
          "guid": "_slZ6UJzgEem4t6nF8ME5ww",
          "name": "ProcessPermissions",
          "label": "Process Permissions",
          "privileges": [
              {
                  "guid": "_Bn_q4EibEeyefs5MSOpJsA",
                  "name": "ManageAdhocExtra",
                  "label": "Manage Adhoc Extra"
              },
              {
                  "guid": "_CHqpQJzeEem4t6nF8ME5ww",
                  "name": "StartProcess",
                  "label": "Start Process"
              },
              {
                  "guid": "_KcDywLj1EemuuoFOPG7Y0w",
                  "name": "Migrateprocesses",
                  "label": "Migrate processes"
              },
              {
                  "guid": "_snX9UJztEem4t6nF8ME5ww",
                  "name": "QueryProcess",
                  "label": "Query Process"
              },
              {
                  "guid": "_xORi4JzgEem4t6nF8ME5ww",
                  "name": "ResumeSuspendProcess",
                  "label": "Resume Suspend Process"
              },
              {
                  "guid": "_xV-08EiaEeyefs5MSOpJsA",
                  "name": "ManageAdhoc",
                  "label": "Manager Adhoc"
              },
              {
                  "guid": "_yshpkJzgEem4t6nF8ME5ww",
                  "name": "CancelPurgeProcess",
                  "label": "Cancel Purge Process"
              }
          ]
      },
      {
          "guid": "_oNXHEIz9EemflIk8r3Y5TA",
          "name": "Approval",
          "label": "Approval",
          "privileges": [
              {
                  "guid": "_uqVKgIz9EemflIk8r3Y5TA",
                  "name": "Travel",
                  "label": "Travel",
                  "qualifier": {
                      "guid": "_uqVKgIz9EemflIk8r3Y5TA",
                      "name": "Travel",
                      "label": "Travel",
                      "type": {
                          "type": "ENUM"
                      },
                      "enumVals": [
                          "Below £1000",
                          "Above £1000",
                          "Above £3000"
                      ]
                  }
              },
              {
                  "guid": "_wILokIz9EemflIk8r3Y5TA",
                  "name": "Recruitment",
                  "label": "Recruitment"
              }
          ]
      }
  ],
  "privileges": [
      {
          "guid": "_o0dv8LqHEemgFdwP2bUMNw",
          "name": "SystemAdmin",
          "label": "SystemAdmin"
      },
      {
          "guid": "_hfIxIHMKEem8740V7T3bYg",
          "name": "Platinum",
          "label": "Platinum"
      }
  ],
  "groups": [
      {
          "guid": "_3bdd4JzgEem4t6nF8ME5ww",
          "name": "ProcessAdmin",
          "label": "Process Admin",
          "groups": [
              {
                  "guid": "_-JmJ0JzgEem4t6nF8ME5ww",
                  "name": "Cancel",
                  "label": "Cancel"
              },
              {
                  "guid": "_7ogGEJzgEem4t6nF8ME5ww",
                  "name": "Start",
                  "label": "Start"
              },
              {
                  "guid": "_7yyLAEiaEeyefs5MSOpJsA",
                  "name": "ManageAdhoc",
                  "label": "Manage Adhoc"
              },
              {
                  "guid": "_ANMZQJzhEem4t6nF8ME5ww",
                  "name": "Resume",
                  "label": "Resume"
              },
              {
                  "guid": "_AWQAYLj1EemuuoFOPG7Y0w",
                  "name": "ProcessMigration",
                  "label": "Process Migration"
              },
              {
                  "guid": "_EB9y8EibEeyefs5MSOpJsA",
                  "name": "ManageAdhocExtra",
                  "label": "Manage Adhoc Extra"
              },
              {
                  "guid": "__LzNsJzgEem4t6nF8ME5ww",
                  "name": "Suspend",
                  "label": "Suspend"
              },
              {
                  "guid": "_fhXT4JzuEem4t6nF8ME5ww",
                  "name": "QueryInstance",
                  "label": "Query Instance"
              },
              {
                  "guid": "_vkkHMJztEem4t6nF8ME5ww",
                  "name": "QueryTemplates",
                  "label": "Query Templates"
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          }
      },
      {
          "guid": "_TLfLkKL9EemVg5qVKnBQSw",
          "name": "EventManager",
          "label": "Event Manager",
          "groups": [
              {
                  "guid": "_V9h1YKL9EemVg5qVKnBQSw",
                  "name": "QueryAudit",
                  "label": "Query Audit"
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          }
      },
      {
          "guid": "_G4h9YHLzEem8740V7T3bYg",
          "name": "Marketing",
          "label": "Marketing",
          "reqCapabilities": [
              {
                  "guid": "_luXKoHMKEem8740V7T3bYg",
                  "name": "Capability1",
                  "label": "Capability1",
                  "qualifierValues": [
                      "Value"
                  ]
              }
          ],
          "privilegeHoldings": [
              {
                  "guid": "_hfIxIHMKEem8740V7T3bYg",
                  "name": "Platinum",
                  "label": "Platinum"
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          }
      },
      {
          "guid": "_G6K8IHLzEem8740V7T3bYg",
          "name": "Engineering",
          "label": "Engineering",
          "reqCapabilities": [
              {
                  "guid": "_KntYMIz6EemflIk8r3Y5TA",
                  "name": "SoftwareDevelopment",
                  "label": "SoftwareDevelopment",
                  "qualifierValues": [
                      "true"
                  ]
              }
          ],
          "groups": [
              {
                  "guid": "_r4nAMIuREemflIk8r3Y5TA",
                  "name": "QA",
                  "label": "QA"
              },
              {
                  "guid": "_rKjAUIuREemflIk8r3Y5TA",
                  "name": "Dev",
                  "label": "Dev"
              }
          ],
          "privilegeHoldings": [
              {
                  "guid": "_wILokIz9EemflIk8r3Y5TA",
                  "name": "Recruitment",
                  "label": "Recruitment"
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          }
      },
      {
          "guid": "_fkxGMLqHEemgFdwP2bUMNw",
          "name": "SystemAdmin",
          "label": "SystemAdmin",
          "privilegeHoldings": [
              {
                  "guid": "_o0dv8LqHEemgFdwP2bUMNw",
                  "name": "SystemAdmin",
                  "label": "SystemAdmin"
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          }
      }
  ],
  "locations": [
      {
          "guid": "_1un58IO4EemflIk8r3Y5TA",
          "name": "Swindon",
          "label": "Swindon"
      },
      {
          "guid": "_4mamcIO4EemflIk8r3Y5TA",
          "name": "London",
          "label": "London",
          "schemaType": {
              "guid": "_8nkaYmvgEema493yV45wOw",
              "name": "StandardLocationType",
              "label": "Standard Location Type"
          }
      }
  ],
  "organizations": [
      {
          "guid": "_8nkaYGvgEema493yV45wOw",
          "name": "Organization1",
          "label": "Organization1",
          "schemaType": {
              "guid": "_8nkaaGvgEema493yV45wOw",
              "name": "PublicCompany",
              "label": "Public Company"
          },
          "attributes": [
              {
                  "definition": {
                      "guid": "_oZxk4I0dEemflIk8r3Y5TA",
                      "name": "IncorporatedOn",
                      "label": "Incorporated On",
                      "type": {
                          "type": "DATETIME"
                      }
                  },
                  "values": [
                      "2019-01-01T05:30:00Z"
                  ]
              }
          ],
          "allocationMethod": {
              "method": "ANY"
          },
          "orgUnits": [
              {
                  "guid": "_H-ihQI0gEemflIk8r3Y5TA",
                  "name": "Board",
                  "label": "Board",
                  "schemaType": {
                      "guid": "_8nkaamvgEema493yV45wOw",
                      "name": "DepartmentType",
                      "label": "Department Type"
                  },
                  "allocationMethod": {
                      "method": "ANY"
                  },
                  "positions": [
                      {
                          "guid": "_NHpwII0gEemflIk8r3Y5TA",
                          "name": "BoardDirector",
                          "label": "Board Director",
                          "idealNumber": 1,
                          "allocationMethod": {
                              "method": "ANY"
                          }
                      },
                      {
                          "guid": "_RTbNAI0gEemflIk8r3Y5TA",
                          "name": "Chairman",
                          "label": "Chairman",
                          "idealNumber": 1,
                          "allocationMethod": {
                              "method": "ANY"
                          }
                      }
                  ],
                  "orgUnits": [
                      {
                          "guid": "_-xbC0GvgEema493yV45wOw",
                          "name": "HeadOffice",
                          "label": "HeadOffice"
                      }
                  ]
              }
          ]
      }
  ],
  "resourceAttributes": [
      {
          "guid": "_tZtdcIO4EemflIk8r3Y5TA",
          "name": "Phone",
          "label": "Phone",
          "type": {
              "type": "STRING"
          }
      },
      {
          "guid": "_rLf5cIO4EemflIk8r3Y5TA",
          "name": "Email",
          "label": "Email",
          "type": {
              "type": "STRING"
          }
      },
      {
          "guid": "_mVtPMIO4EemflIk8r3Y5TA",
          "name": "Name",
          "label": "Name",
          "type": {
              "type": "STRING"
          }
      }
  ]
}



const orgModelDetail = 
  {
      "modelVersion": 1,
      "groups": [
          {
              "guid": "_198_tcla-bpme-admin-us-2",
              "name": "SystemADMINISTRATOR",
              "label": "System: ADMINISTRATOR",
              "allocationMethod": {
                  "method": "ANY"
              },
              "resourceCount": 0
          },
          {
              "guid": "_197_tcla-bpme-admin-us-2",
              "name": "SystemALL_USERS",
              "label": "System: ALL_USERS",
              "allocationMethod": {
                  "method": "ANY"
              },
              "resourceCount": 0
          },
          {
              "guid": "_200_tcla-bpme-admin-us-2",
              "name": "SystemUI_DEVELOPER",
              "label": "System: UI_DEVELOPER",
              "allocationMethod": {
                  "method": "ANY"
              },
              "resourceCount": 0
          },
          {
              "guid": "_199_tcla-bpme-admin-us-2",
              "name": "SystemAPPLICATION_DEVELOPER",
              "label": "System: APPLICATION_DEVELOPER",
              "allocationMethod": {
                  "method": "ANY"
              },
              "resourceCount": 0
          }
      ],
      "organizations": [
          {
              "guid": "_caseapps_tcla-bpme-admin-us-2",
              "name": "CaseAppsOrganization",
              "label": "Case Apps Organization",
              "allocationMethod": {
                  "method": "ANY"
              }
          }
      ]
  }

  const deployments = [
    {
        "version": 0,
        "deployments": [
            {
                "major": 0,
                "minor": 1,
                "micro": 0,
                "name": "System Org Model",
                "deployed": "2024509T012832Z"
            }
        ]
    },
    {
        "version": 1,
        "deployments": [
            {
                "major": 1,
                "minor": 0,
                "micro": 0,
                "qualifier": "20211209133036620",
                "name": "Organization Model",
                "deployed": "2024509T093600Z"
            }
        ]
    }
]

const workItemsNew = [
    {
        "id": "1",
        "version": "3",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T06:31:40.339Z",
            "name": "User",
            "description": "TextResult",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g2.d",
                "activityName": "User",
                "appInstance": "p:0a202",
                "appName": "AddtwoNumProcess2",
                "appId": "_CNM5AA0GEe-RC7pkOf3mCQ"
            }
        },
        "state": {
            "stringKey": "WMstateOpened",
            "description": "Opened"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "3",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T06:59:33.485Z",
            "name": "UserTask",
            "description": "User Task",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g3.j",
                "activityName": "UserTask",
                "appInstance": "p:0a203",
                "appName": "AddtwoNumProcess",
                "appId": "_P9D0AAuBEe-pKsYIkJ8tnQ"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "4",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T06:59:35.294Z",
            "name": "User",
            "description": "TextResult",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g4.p",
                "activityName": "User",
                "appInstance": "p:0a204",
                "appName": "AddtwoNumProcess2",
                "appId": "_CNM5AA0GEe-RC7pkOf3mCQ"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "5",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:19.325Z",
            "name": "UserTask",
            "description": "User Task",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g5.v",
                "activityName": "UserTask",
                "appInstance": "p:0a205",
                "appName": "AddtwoNumProcess",
                "appId": "_P9D0AAuBEe-pKsYIkJ8tnQ"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "6",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:20.358Z",
            "name": "User",
            "description": "TextResult",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g6.11",
                "activityName": "User",
                "appInstance": "p:0a206",
                "appName": "AddtwoNumProcess2",
                "appId": "_CNM5AA0GEe-RC7pkOf3mCQ"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "7",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:22.556Z",
            "name": "AdhocTasksEnabled",
            "description": "Adhoc Tasks Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g7.1g",
                "activityName": "AdhocTasksEnabled",
                "appInstance": "p:0a207",
                "appName": "ManualAdhocProcess",
                "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "8",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:22.625Z",
            "name": "AutoAdhocEnabled",
            "description": "Auto Adhoc Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g7.1i",
                "activityName": "AutoAdhocEnabled",
                "appInstance": "p:0a207",
                "appName": "ManualAdhocProcess",
                "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "9",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:23.361Z",
            "name": "AutoAdhocEnabled",
            "description": "Auto Adhoc Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g8.21",
                "activityName": "AutoAdhocEnabled",
                "appInstance": "p:0a208",
                "appName": "ManualAdhocWithCase",
                "appId": "_o75YIFDrEeyik602DeuJOA"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "10",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:23.875Z",
            "name": "AdhocCaseTasksEnabled",
            "description": "Adhoc Case Tasks Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g8.1y",
                "activityName": "AdhocCaseTasksEnabled",
                "appInstance": "p:0a208",
                "appName": "ManualAdhocWithCase",
                "appId": "_o75YIFDrEeyik602DeuJOA"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "11",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:24.826Z",
            "name": "User1Step1",
            "description": "User1Step1",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g9.28",
                "activityName": "User1Step1",
                "appInstance": "p:0a209",
                "appName": "Array001",
                "appId": "_cHD4EOjEEd-NYeUhOkgyow"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "12",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:25.799Z",
            "name": "User1Step1",
            "description": "User1Step1",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002ga.2h",
                "activityName": "User1Step1",
                "appInstance": "p:0a20a",
                "appName": "Array001",
                "appId": "_cHD4EOjEEd-NYeUhOkgyow"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "13",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:26.490Z",
            "name": "AutoAdhocEnabled",
            "description": "Auto Adhoc Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002gb.32",
                "activityName": "AutoAdhocEnabled",
                "appInstance": "p:0a20b",
                "appName": "ManualAdhocWithCase",
                "appId": "_o75YIFDrEeyik602DeuJOA"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "14",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:26.651Z",
            "name": "AdhocCaseTasksEnabled",
            "description": "Adhoc Case Tasks Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002gb.2z",
                "activityName": "AdhocCaseTasksEnabled",
                "appInstance": "p:0a20b",
                "appName": "ManualAdhocWithCase",
                "appId": "_o75YIFDrEeyik602DeuJOA"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "15",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:27.907Z",
            "name": "AdhocTasksEnabled",
            "description": "Adhoc Tasks Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002gc.3h",
                "activityName": "AdhocTasksEnabled",
                "appInstance": "p:0a20c",
                "appName": "ManualAdhocProcess",
                "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    },
    {
        "id": "16",
        "version": "0",
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:27.956Z",
            "name": "AutoAdhocEnabled",
            "description": "Auto Adhoc Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002gc.3j",
                "activityName": "AutoAdhocEnabled",
                "appInstance": "p:0a20c",
                "appName": "ManualAdhocProcess",
                "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
            }
        },
        "state": {
            "stringKey": "WMstateOffered",
            "description": "Offered"
        },
        "attributes": {},
        "visible": true
    }
]


var isActionAuthorizedInputData = {"actions":[{"component":"ADMIN","action":"systemAdmin"},{"component":"DE","action":"browseModel"},{"component":"DE","action":"resourceAdmin"},{"component":"DE","action":"readParameters"},{"component":"DE","action":"writeParameters"},{"component":"DE","action":"readPushDestinations"},{"component":"DE","action":"writePushDestinations"},{"component":"DE","action":"LDAPAdmin"},{"component":"DE","action":"deleteLDAPAdmin"},{"component":"DE","action":"resolveResource"},{"component":"DE","action":"importLDAPAdmin"},{"component":"DE","action":"exportLDAPAdmin"},{"component":"DE","action":"createResourceAdmin"},{"component":"DE","action":"deleteResourceAdmin"},{"component":"DE","action":"userAdmin"},{"component":"DE","action":"organizationAdmin"},{"component":"DE","action":"authenticatedUser"},{"component":"BRM","action":"viewWorkList"},{"component":"BRM","action":"viewGlobalWorkList"},{"component":"BRM","action":"setResourceOrderFilterCriteria"},{"component":"BRM","action":"openOtherResourcesItems"},{"component":"BRM","action":"closeOtherResourcesItems"},{"component":"BRM","action":"skipWorkItem"},{"component":"BRM","action":"reallocateWorkItemToWorld"},{"component":"BRM","action":"reallocateToOfferSet"},{"component":"BRM","action":"pendWorkItem"},{"component":"BRM","action":"workItemAllocation"},{"component":"BRM","action":"changeAllocatedWorkItemPriority"},{"component":"BRM","action":"autoOpenNextWorkItem"},{"component":"BRM","action":"changeAnyWorkItemPriority"},{"component":"DAC","action":"readCalendars"},{"component":"DAC","action":"writeCalendars"},{"component":"DAC","action":"deleteCalendars"},{"component":"PE","action":"resumeSuspendProcessInstance"},{"component":"PE","action":"cancelPurgeProcessInstance"},{"component":"PE","action":"bulkResumeSuspendProcessInstances"},{"component":"PE","action":"bulkCancelPurgeProcessInstances"},{"component":"PE","action":"startprocess"},{"component":"PE","action":"queryProcess"},{"component":"PE","action":"setPriority"},{"component":"PE","action":"setDeadlineExpiration"},{"component":"PE","action":"handleProcessMigration"},{"component":"PE","action":"startAndCancelAdHocActivity"},{"component":"CDM","action":"readCase"},{"component":"CDM","action":"createUpdateCase"},{"component":"CDM","action":"deleteCase"},{"component":"EC","action":"queryAudit"},{"component":"EC","action":"writeAudit"},{"component":"EC","action":"purgeAudit"},{"component":"BIZSVC","action":"listBusinessServices"},{"component":"APPDEV","action":"appDev"},{"component":"APPDEV","action":"useCaseDocument"},{"component":"APPDEV","action":"administerCaseDocument"}]}

var isActionAuthorizedResData = {
    "overall": true,
    "actions": [
        {
            "component": "ADMIN",
            "action": "systemAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "browseModel",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "resourceAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "readParameters",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "writeParameters",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "readPushDestinations",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "writePushDestinations",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "LDAPAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "deleteLDAPAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "resolveResource",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "importLDAPAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "exportLDAPAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "createResourceAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "deleteResourceAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "userAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "organizationAdmin",
            "authorized": true
        },
        {
            "component": "DE",
            "action": "authenticatedUser",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "viewWorkList",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "viewGlobalWorkList",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "setResourceOrderFilterCriteria",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "openOtherResourcesItems",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "closeOtherResourcesItems",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "skipWorkItem",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "reallocateWorkItemToWorld",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "reallocateToOfferSet",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "pendWorkItem",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "workItemAllocation",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "changeAllocatedWorkItemPriority",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "autoOpenNextWorkItem",
            "authorized": true
        },
        {
            "component": "BRM",
            "action": "changeAnyWorkItemPriority",
            "authorized": true
        },
        {
            "component": "DAC",
            "action": "readCalendars",
            "authorized": true
        },
        {
            "component": "DAC",
            "action": "writeCalendars",
            "authorized": true
        },
        {
            "component": "DAC",
            "action": "deleteCalendars",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "resumeSuspendProcessInstance",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "cancelPurgeProcessInstance",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "bulkResumeSuspendProcessInstances",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "bulkCancelPurgeProcessInstances",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "startprocess",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "queryProcess",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "setPriority",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "setDeadlineExpiration",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "handleProcessMigration",
            "authorized": true
        },
        {
            "component": "PE",
            "action": "startAndCancelAdHocActivity",
            "authorized": true
        },
        {
            "component": "CDM",
            "action": "readCase",
            "authorized": true
        },
        {
            "component": "CDM",
            "action": "createUpdateCase",
            "authorized": true
        },
        {
            "component": "CDM",
            "action": "deleteCase",
            "authorized": true
        },
        {
            "component": "EC",
            "action": "queryAudit",
            "authorized": true
        },
        {
            "component": "EC",
            "action": "writeAudit",
            "authorized": true
        },
        {
            "component": "EC",
            "action": "purgeAudit",
            "authorized": true
        },
        {
            "component": "BIZSVC",
            "action": "listBusinessServices",
            "authorized": true
        },
        {
            "component": "APPDEV",
            "action": "appDev",
            "authorized": true
        },
        {
            "component": "APPDEV",
            "action": "useCaseDocument",
            "authorized": true
        },
        {
            "component": "APPDEV",
            "action": "administerCaseDocument",
            "authorized": true
        }
    ]
}

var workItemsPutData = [{"id":"7","version":"1","header":{"distributionStrategy":{"stringKey":"WMdsOffer","description":"Offer"},"priority":50,"startDate":"2024-05-09T09:37:22.556Z","name":"AdhocTasksEnabled","description":"Adhoc Tasks Enabled","flags":{"scheduleStatus":{"stringKey":"WMschedStatusDuring","description":"During"}},"itemContext":{"activityId":"t:002g7.1g","activityName":"AdhocTasksEnabled","appInstance":"p:0a207","appName":"ManualAdhocProcess","appId":"_t9_M8DJ2Eeyp-elUIhAk-Q"},"userId":"tibco-admin"},"state":{"stringKey":"WMstateSkip","description":"Skip"},"attributes":{},"visible":true,"headerInitialsName":"A"}]
var workItemsPutDataResponse = [
    {
        "id": "7",
        "visible": true,
        "header": {
            "distributionStrategy": {
                "stringKey": "WMdsOffer",
                "description": "Offer"
            },
            "priority": 50,
            "startDate": "2024-05-09T09:37:22.556Z",
            "name": "AdhocTasksEnabled",
            "description": "Adhoc Tasks Enabled",
            "flags": {
                "scheduleStatus": {
                    "stringKey": "WMschedStatusDuring",
                    "description": "During"
                }
            },
            "itemContext": {
                "activityId": "t:002g7.1g",
                "activityName": "AdhocTasksEnabled",
                "appInstance": "p:0a207",
                "appName": "ManualAdhocProcess",
                "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
            },
            "userId": "tibco-admin"
        },
        "state": {
            "stringKey": "WMstateCompleted",
            "description": "Skip"
        },
        "version": "1"
    }
]
const orgAttributes = {"values":[{"name":"WORKITEM_AUTO_OPEN","value":"false"}]}

const workItemsDataForForm = {
    "id": "599",
    "visible": true,
    "header": {
        "distributionStrategy": {
            "stringKey": "WMdsOffer",
            "description": "Offer"
        },
        "priority": 50,
        "startDate": "2024-09-25T05:05:01.958Z",
        "name": "WitnessInterview",
        "description": "Witness Interview",
        "flags": {
            "scheduleStatus": {
                "stringKey": "WMschedStatusDuring",
                "description": "During"
            }
        },
        "itemContext": {
            "activityId": "t:002gch.2p6",
            "activityName": "WitnessInterview",
            "appInstance": "p:0a20ch",
            "appName": "PropertiesProcess",
            "appVersion": 1,
            "appId": "_0VDFcHl5Ee-xe6UNzYMZkA"
        },
        "userId": "tibco-admin",
        "workType": {
            "uid": "WT__4x_K3nl5Ee-xe6UNzYMZkA",
            "version": "1.0.0.20240924100444914"
        }
    },
    "state": {
        "stringKey": "WMstateOpened",
        "description": "Opened"
    },
    "body": {
        "inouts": [
          { "name":"WitName", "simple": ["Chris Johnson"]},
          { "name":"WitPhone", "simple": ["(560) 555-4200"]},
          { "name":"AccTime", "simple": ["2024-10-01T12:55:32+00:00"]},
          { "name":"AccDescription", "simple": ["The other car stopped short, and... boom! I think I sprained my toe."]},
          { "name":"WitDescription", "simple": ["The car in front stopped, but the car in back kept going."]}
        ]
    },
    "version": "5"
};

const workpresentationReq = {"id":"599","visible":true,"header":{"distributionStrategy":{"stringKey":"WMdsOffer","description":"Offer"},"priority":50,"startDate":"2024-09-25T05:05:01.958Z","name":"Capturename","description":"Capture name","flags":{"scheduleStatus":{"stringKey":"WMschedStatusDuring","description":"During"}},"itemContext":{"activityId":"t:002gch.2p6","activityName":"Capturename","appInstance":"p:0a20ch","appName":"PropertiesProcess","appVersion":1,"appId":"_0VDFcHl5Ee-xe6UNzYMZkA"},"userId":"tibco-admin","workType":{"uid":"WT__4x_K3nl5Ee-xe6UNzYMZkA","version":"1.0.0.20240924100444914"}},"state":{"stringKey":"WMstateOpen","description":"Open"},"body":{"inouts":[{"name":"startdate"},{"name":"Enddate"}]},"version":"5"}

const workpresentationResponse = {
    "id": "599",
    "version": "6",
    "header": {
        "name": "WitnessInterview",
        "description": "Witness Interview",
        "itemContext": {
            "activityId": "t:002gch.2p6",
            "activityName": "WitnessInterview",
            "appInstance": "p:0a20ch",
            "appName": "PropertiesProcess",
            "appVersion": 1,
            "appId": "_0VDFcHl5Ee-xe6UNzYMZkA"
        },
        "workType": {
            "uid": "WT__4x_K3nl5Ee-xe6UNzYMZkA",
            "version": "1.0.0.20240924100444914"
        }
    },
    "state": {
        "stringKey": "WMstateOpened",
        "description": "Opened"
    },
    "body": {
        "inouts": [
          { "name":"WitName", "simple": ["Chris Johnson"]},
          { "name":"WitPhone", "simple": ["(560) 555-4200"]},
          { "name":"AccTime", "simple": ["2024-10-01T12:55:32+00:00"]},
          { "name":"AccDescription", "simple": ["The other car stopped short, and... boom! I think I sprained my toe."]},
          { "name":"WitDescription", "simple": ["The car in front stopped, but the car in back kept going."]}
        ]
    },
    "presentation": {
        "channelId": "openspaceGWTPull_DefaultChannel",
        "channelType": "openspaceChannel",
        "formIdentifier": "../apps/components-api/assets/bpm-forms/artefacts/FormsTutorialSolutions/ProcessPackage/ClaimsProcesswithForms/InterviewWitness/InterviewWitness.gwt.json",
        "worktypeId": "WT__4x_K3nl5Ee-xe6UNzYMZkA",
        "worktypeVersion": "1.0.0.20240924100444914"
    }
};

const workViewData = {
    "name": "Test002",
    "owner": "tibco-admin",
    "getAllocatedItems": false,
    "orderFilterCriteria": {},
    "workViewId": 2,
    "modificationDate": "2024-11-11T10:48:41.415Z",
    "creationDate": "2024-11-11T10:48:41.415Z",
    "public": false
}

export const handlers = [

//   http.get('../../bpm/work/v1/workListItems', (req, res, ctx) => {
//   return HttpResponse.json(
//     workitems,
//     {
//       message: 'Mocked response',
//     },
//     {
//       status: 200,
//     }
//   )
//   }),
  http.get('../../bpm/work/v1/workItems/599', (req, res, ctx) => {
    return HttpResponse.json(
      workItemsDataForForm,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.put('../../bpm/workpresentation/v1/workpresentationitem', (workpresentationReq, res, ctx) => {
    return HttpResponse.json(
        workpresentationResponse,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/workListViews', (req, res, ctx) => {
    return HttpResponse.json(
      workviews,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/organization/v1/deployments', (request, params, ctx) => {

    return HttpResponse.json(
      deployments,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/organization/v1/orgModels/orgModelRoots', (request, params, ctx) => {
    return HttpResponse.json(
      orgModelRoots,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/organization/v1/orgModels/orgModelDetail', (req, res, ctx) => {
    return HttpResponse.json(
      orgModelDetail,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/organization/v1/deployments', (req, res, ctx) => {
    return HttpResponse.json(
      deployments,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/orgAttributes/tibco-admin', (req, res, ctx) => {
    return HttpResponse.json(
        orgAttributes,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/workListItems?%24user=tibco-admin&%24skip=0&%24top=30', (req, res, ctx) => {
    return HttpResponse.json(
        workItemsNew,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.post('../../bpm/organization/v1/security/isActionAuthorized', (isActionAuthorizedInputData, res, ctx) => {
    return HttpResponse.json(
        isActionAuthorizedResData,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.put('../../bpm/work/v1/workItems', (workItemsPutData, res, ctx) => {
    return HttpResponse.json(
        workItemsPutDataResponse,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/workItems', (req, res, ctx) => {
    return HttpResponse.json(
        {
            "id": "8",
            "visible": true,
            "header": {
                "distributionStrategy": {
                    "stringKey": "WMdsOffer",
                    "description": "Offer"
                },
                "priority": 50,
                "startDate": "2024-05-09T09:37:22.625Z",
                "name": "AutoAdhocEnabled",
                "description": "Auto Adhoc Enabled",
                "flags": {
                    "scheduleStatus": {
                        "stringKey": "WMschedStatusDuring",
                        "description": "During"
                    }
                },
                "itemContext": {
                    "activityId": "t:002g7.1i",
                    "activityName": "AutoAdhocEnabled",
                    "appInstance": "p:0a207",
                    "appName": "ManualAdhocProcess",
                    "appVersion": 1,
                    "appId": "_t9_M8DJ2Eeyp-elUIhAk-Q"
                },
                "userId": "tibco-admin",
                "workType": {
                    "uid": "WT__7kuIYDJ2Eeyp-elUIhAk-Q",
                    "version": "1.0.0.20211209133036049"
                }
            },
            "state": {
                "stringKey": "WMstateAllocated",
                "description": "Allocated"
            },
            "body": {},
            "version": "1"
        },
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.put('../../bpm/config/v1/settings', (settingsPutData, res, ctx) => {
    return HttpResponse.json(
        4,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.post('../../bpm/config/v1/settings', (settingsPutData, res, ctx) => {
    return HttpResponse.json(
        4,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/process/v1/instances/p:0a207', (req, res, ctx) => {
    return HttpResponse.json(
        {
            "instanceId": "p:0a207",
            "packageId": "2",
            "processId": "3",
            "packageName": "ManualAdhoc^2",
            "packageVersion": "1.0.0.20211209133036049",
            "processName": "ManualAdhocProcess",
            "creationDate": "2024-05-09T09:37:22.448Z",
            "startDate": "2024-05-09T09:37:22.496Z",
            "state": "ACTIVE"
        },
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/workListFacade', (req, res, ctx) => {
    return HttpResponse.json(
        [],
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
  http.get('../../bpm/work/v1/workListView/2', (req, res, ctx) => {
    return HttpResponse.json(
        workViewData,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  })
]
