# Border Radius Tokens

Border radius tokens are used to give sharp edges a more subtle, rounded effect. They use rem units so they scale with the base font size. The pixel values displayed are based on a 16px font size.

| Token                                    | Value          | Example                                                                                                               |
| ---------------------------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------- |
| `--tib-semantic-border-radius-br-xs`     | 0.125rem (2px) | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-xs);"></div>                |
| `--tib-semantic-border-radius-br-sm`     | 0.25rem (4px)  | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-sm);"></div>                |
| `--tib-semantic-border-radius-br-md`     | 0.5rem (8px)   | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-md);"></div>                |
| `--tib-semantic-border-radius-br-xl`     | 1rem (16px)    | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-xl);"></div>                |
| `--tib-semantic-border-radius-br-circle` | 50%            | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-circle);"></div>            |
| `--tib-semantic-border-radius-br-pill`   | 9999px         | <div class="border-radius-demo" style="border-radius: var(--tib-semantic-border-radius-br-pill); width: 6rem;"></div> |
