# Spacing Tokens

Spacing tokens are used to provide consistent spacing between components and content throughout your app.

| Token                             | Value          | Example                                                                                                                             |
| --------------------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| `--tib-semantic-spacing-spc-xxxs` | 0.125rem (2px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-xxxs); height: var(--tib-semantic-spacing-spc-xxxs);"></div> |
| `--tib-semantic-spacing-spc-xxs`  | 0.25rem (4px)  | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-xxs); height: var(--tib-semantic-spacing-spc-xxs);"></div>   |
| `--tib-semantic-spacing-spc-xs`   | 0.5rem (8px)   | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-xs); height: var(--tib-semantic-spacing-spc-xs);"></div>     |
| `--tib-semantic-spacing-spc-sm`   | 0.75rem (12px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-sm); height: var(--tib-semantic-spacing-spc-sm);"></div>     |
| `--tib-semantic-spacing-spc-md`   | 1rem (16px)    | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-md); height: var(--tib-semantic-spacing-spc-md);"></div>     |
| `--tib-semantic-spacing-spc-lg`   | 1.25rem (20px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-lg); height: var(--tib-semantic-spacing-spc-lg);"></div>     |
| `--tib-semantic-spacing-spc-xl`  | 1.5rem (24px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-xl); height: var(--tib-semantic-spacing-spc-xl);"></div>   |
| `--tib-semantic-spacing-spc-2xl`  | 1.75rem (28px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-2xl); height: var(--tib-semantic-spacing-spc-2xl);"></div>   |
| `--tib-semantic-spacing-spc-3xl`  | 2rem (32px) | <div class="spacing-demo" style="width: var(--tib-semantic-spacing-spc-3xl); height: var(--tib-semantic-spacing-spc-3xl);"></div>   |