import { css } from "lit";

export default css`
  ::-webkit-scrollbar-track {
    background-color: transparent;
  }

  ::-webkit-scrollbar {
    @apply w-2 h-2;
  }

  ::-webkit-scrollbar-thumb {
    scrollbar-color: transparent transparent;
  }

  @media (hover: hover) {
    ::-webkit-scrollbar-thumb {
      scrollbar-color: transparent transparent;
    }

    ::-webkit-scrollbar-thumb:hover {
      scrollbar-color: var(--tib-color-neutral-200) transparent;
    }

    ::-webkit-scrollbar-thumb {
      background-color: transparent;
      border-radius: 100vh;
    }

    :hover::-webkit-scrollbar-thumb {
      background-color: var(--tib-color-neutral-200);
      border-radius: 100vh;
    }

    ::-webkit-scrollbar-thumb:hover {
      background-color: var(--tib-color-neutral-600);
      border-radius: 100vh;
    }
  }
`;
